---
published: false
---

# Highlights
## Identosphere
We created an [Identosphere Group on Tru.net](https://tru.net/Identosphere)

## Projects

RIF Identity

* [@ilanolkies](https://twitter.com/ilanolkies) shares: *Okey, so, today I mapped the work done in the last 3 month by [@rif_os](https://twitter.com/rif_os) about Self-Sovereign Identity protocols in a single link [https://github.com/rsksmart/rif-identity](https://github.com/rsksmart/rif-identity). All compatible with existent protocols and fully integrated into [@RSKsmart](https://twitter.com/RSKsmart) blockchain. The future is one step closer.*


## Acct Recovery
* [Hyperledger Identity Screencast: Social Recovery for Passwords and Secrets](https://www.youtube.com/watch?v%3D1c05mFuEQ5s)

A demonstration of using social recovery for things like recovery passwords of self-sovereign identity digital wallets. The website [http://passguardian.com](https://www.youtube.com/redirect?event%3Dvideo_description%26redir_token%3DQUFFLUhqbnFXWC1vZEVSZS11Ynl1ZGpBRk1uMUN6VnhnUXxBQ3Jtc0tuRjRPbmFSOEVqU1FNSEJDMml0WXYzUjlmRUdyZk5lVWJSc2p1QnFHV0pMZzNfVlBpNVJ0UGZvY2pEVUlzTFA1LWJlQUU0Q190akpyQndJWmU3bDZranNJVUZxZi1JX2pJb2I1SEtpRXB0cjhCQWNNdw%26q%3Dhttp%253A%252F%252Fpassguardian.com)​ is used to show how a secret can be encoded and distributed as shards, and then later some of the shards combined to restore the secret. This video is part of a [Linux Foundation course on Hyperledger Identity](https://training.linuxfoundation.org/training/introduction-to-hyperledger-sovereign-identity-blockchain-solutions-indy-aries-and-ursa/), published on edX.

## History

* [A brief history of SSI: Where does it come from? A timeline.](https://jolocom.io/blog/a-brief-history-of-ssi-where-does-it-come-from-a-timeline/)

A short timeline highlights just how quickly SSI has developed. It underlines the path and development of the evolution of Internet Identity.

* [2022: LOOKING AT THE YEAR AHEAD](https://mydata.org/2022/01/11/2022-looking-at-the-year-ahead/) MyData

As MyData Global saw in our [reflection on 2021](https://mydata.org/2021/12/17/2021-in-review-the-events-and-activities-shaping-the-personal-data-landscape/), the transformation towards a human-centric personal data economy is underway. This transformation is driven by two forces: first, the dominant unethical approaches to personal data are starting to show how unsustainable they really are.
* [WAO wraps up for the holidays](https://blog.weareopen.coop/wao-wraps-up-for-the-holidays-c85bff4c910c) We Are Open Co-op

Great Work on Badges!

In May, we did some [workshopping with the crypto platform NEAR](https://weareopen.coop/near/), which was the first time we accepted cryptocurrency as part of our fee. In May, We Are Open Cooperative also [turned 5 years old](https://blog.weareopen.coop/wao-turns-five-30747f4df0f9). We celebrated this momentous occasion by launching our [new website](https://weareopen.coop/) and adding more stuff to our [free learning resource hub](https://learnwith.weareopen.coop/).

* [2021 in review: The events and activities shaping the personal data Landscape](https://mydata.org/2021/12/17/2021-in-review-the-events-and-activities-shaping-the-personal-data-landscape/) MyData

2021 has been a productive year for MyData Global, and a significant one for the wider personal data world. The [Facebook Files](https://twitter.com/mydataorg/status/1446435772857524224?s%3D20) helped raise the issue of personal data and ethics to the general public, and the EU’s Data Governance Act has helped put into practice many of the changes [MyData Global has been advocating for](https://mydata.org/2021/10/28/mydata-and-the-european-unions-latest-data-developments/).

* [An Outlook on 2022](https://jolocom.io/blog/an-outlook-on-2022/) JoloCom

For us, interoperability will remain a very present topic for the next year ([https://jolocom.io/blog/can-we-avoid-a-ssi-babel/](https://jolocom.io/blog/can-we-avoid-a-ssi-babel/).
* Christopher Allen: [Not Moxie Marlinspike](https://www.moxytongue.com/2021/09/not-moxie-marlinspike.html), Oft confused, no more.
  * [Link to a corrected attribution Devon Lofretto is not Moxie Marlinspike](https://github.com/lifewithalacrity/lifewithalacrity.github.io/commit/52c30ec1d649494066c3e9c9fa1bbaf95cd6386f)
  > Self-Sovereign Identity has deep roots. It did not just emerge in 2016 after a blog post was written. It did not fail to exist when wikipedia editors denied it subject integrity with the stated message: "good luck with that".

* [An Identity Through Time](https://iiw.idcommons.net/23D/_An_Identity_Through_Time) by David Schmudde

The history of identity online. Finger, CompuServe, DNS/WWW, Facebook

The slides are based on this blog post: [https://schmud.de/posts/2021-04-22-id-through-time.html](https://schmud.de/posts/2021-04-22-id-through-time.html)

---

Nothing to prevent players to take advantage of SSI. They may add something small and useful aspects to the protocols.

The hope is that our stuff is super interoperable. So you can actually really leave.

Facebook is interesting because it was based on the .edu domain. Small network. Solving for the endstate that we see now is different than starting back then.

Zero-knowledge proofs and trustless networks may require high-trust environments for adoptions.

* [Distributed Open Identity: Self-Sovereign OpenID: A Status Report](https://identiverse.gallery.video/detail/videos/standards/video/6184823227001/distributed-open-identity:-self-sovereign-openid:-a-status-report?autoStart=true)
  > follow up of the Identiverse 2019 session “SSO: Self-sovereign OpenID Connect – a ToDo list”. (Decentralized Identity, Mobile, Verified Claims & Credentials, Standards, Preeti Rastogi, Nat Sakimura)

* [State of Identity with IDRamp](https://oneworldidentity.com/podcast/idramp-2/) (Enterprise SSI company)
  > As someone who has uniquely spent their full career immersed in identity, Mike Vesey (CEO of IdRamp) shares an insider perspective of how the industry has evolved during his tenure. This episode dives into the impacts of rapid digitalization worldwide, where identity is heading due to digital transformation, and the benefits that come with it.

SSI vs Santa

* [Phil Wolff shares](https://twitter.com/evanwolf/status/1339128612650291203):
  > In 2021 Santa decentralizes his list, no longer relying on children’s Real Names in compliance with kid privacy laws. Self-sovereign identity lets kids ask Santa, confident their identities are authenticated (right toys to the right kid) & that he uses verified naughty/nice data.
#
Narrative

Digital Caribou shares their thoughts on [Digital Transformation and inclusion](https://medium.com/caribou-digital/transformation-in-a-digital-age-9068338fd778) - very good thinking for all of us working on digital identity.

> We believe that the emphasis on transformation as both process and effects is particularly important, especially as although digitization and digitalization are well underway, accelerated by the response to COVID-19 (remote working, payments, etc.), these are not inevitable processes. They are the results of human decisions. Similarly, the effects of these are not inevitable, either.
## Interviews
* [Building Digital Trust Ecosystems with Riley Hughes from Trinsic [Podcast]](https://northernblock.io/building-digital-trust-ecosystems/)
  > The reason I love that quote is that digital credentials and verifiable data can not only impact the use cases that everybody tends to think about when they think about SSI, but they could permeate our whole lives and streamline everything we do.

* [Michael Becker Interviewed Kaliya re:SSI](https://identitypraxis.com/2020/11/16/an-interview-on-self-sovereign-identity-with-kaliya-young-the-identity-women/)  
  > Kaliya’s purpose is to answer this profound question: “How do we own, control, manage, and represent ourselves in the digital world, independently of the BigTech companies (Facebook, Google, etc.)?”
* [Tim Bouma is interviewed](https://medium.com/@trbouma/self-sovereign-identity-interview-with-tim-bouma-ca193f66f2bb) by SSI Ambassador - Adrian Doerk
  > Every technology is a two-edged sword, gunpowder, guns, you know anything? There’s an upside and there’s the downside. I think that’s something that we have to be very cognizant of.
* [The Domains of Identity and SSI with “Identity Woman”](https://www.ubisecure.com/podcast/domains-of-identity-ssi-identity-woman-kaliya-young/), Kaliya Young
  > Kaliya and Oscar discuss the long-running Internet Identity Workshop (IIW) that she co-founded, the effects of moving to virtual identity conferences in 2020, insights from Kaliya’s books – ‘The Domains of Identity’, newly published in 2020, and ‘A Comprehensive Guide to Self Sovereign Identity’ – plus some great tips for all business leaders on how to view the role of identity in their organisation.
* [One woman’s open-source journey to decentralized identity](https://indicio.tech/blog/one-womans-open-source-journey-to-decentralized-identity-with-the-help-of-indicio-tech/) Indicio
  > Noha Abuaesh, a Bahrain-based computer scientist, has been exploring decentralized identity for the last year, often with assistance from Indicio.tech’s open-source tools and free communications channels.
* [Self-Sovereign Identity Authors Alex Preukschat & Shannon Appelcline](https://securetalkpodcast.com/podcast/self-sovereign-identity-alex-preukschat-shannon-appelcline/) Discussing
  > Decentralized digital identity and verifiable credentials explain what Self-Sovereign Identity (SSI) is, why it’s important, and provide examples of practical applications for individuals and organizations.

An academic nerdy podcast, out of [RMIT](https://www.rmit.edu.au/), Australia

* [Episode 6: 'Digital Identity & Blockchain' with Kaliya Young, Prof. Jason Potts, & Prof. Ellie Rennie](https://open.spotify.com/episode/4kO6VVT9PmRPrie6e5plPj)
## Remembering Kim Cameron

I (Kaliya) will be working on a blog post for next week. For those of you who didn’t know Kim I’m very sad you will not get to meet him. He contributed greatly to our field. He was a good friend to many and a mentor and ally for women working in the field. His [Laws of Identity](https://www.identityblog.com/stories/2005/05/13/TheLawsOfIdentity.pdf) shape and continue to shape our industry - in invite you to read people’s reflections to get a small sense of who he was.

* [Remembering an Identity Leader](https://www.pingidentity.com/en/lp/remembering-kim-cameron.html) Ping Identity

Kim stood for all that is right in the intersection of technology and humanity.

* [Remembering Kim Cameron](https://blogs.harvard.edu/doc/2021/12/03/remembering-kim-cameron/) Doc Searls

Kim pushed constantly toward openness, inclusivity, compatibility, cooperation, and the need for individual agency and scale.

* [Remembering Kim Cameron](https://www.cloudidentity.com/blog/2022/01/11/remembering-kim-cameron/) Vittorio Bertocci

Kim might no longer update his blog, nudge identity products toward his vision or give inspiring, generous talks to audiences large and small, but his influence looms large in the identity industry – an industry Kim changed forever.

* [Memories of Kim Cameron](https://www.tuesdaynight.org/2022/01/12/memories-of-kim-cameron/) Ian Glazer

Reification. I learned that word from Kim. In the immediate next breath he said from the stage that he was told not everyone knew what reify meant and that he would use a more approachable word: “thingify.” And therein I learned another lesson from Kim about how to present to an audience.


* [Personal Digital Transformation and Holistic Digital Identity](https://www.youtube.com/watch?v%3D9DExNTY3QAk) OpenID Japan ← His last public talk

from the OpenID Summit Tokyo 2020 Keynote […] about Claims, Identity, Self-ness, Who-ness, and OpenID Connect and Decentralized Identity.

* [My heart is heavy over the loss of @Kim_Cameron](https://twitter.com/pamelarosiedee/status/1466776672443666432) Pamela Dingle

He always made sure that everyone was welcome, he brought people in and inspired them and suggested ways for them to be stars. He was kind, in a way that few people ever are.

* [Kim Cameron: A leader in the digital identity space](https://www.identitynorth.ca/2021/12/02/kim-cameron-a-leader-in-the-digital-identity-space/) Aran Hamilton, Identity North

He spoke to us twice in 2016, first as the Keynote for our Annual Summit “[Beyond the Laws of Identity](https://www.youtube.com/watch?v%3DuqUXYl90XHM)” referring to his ground-breaking work and taking us through what he felt he missed when he published his Laws. Kim spoke later on the importance of the community when he received recognition as a [Founder of Canada’s Digital Economy](https://www.youtube.com/watch?v%3DxdlBg0Ai9aQ%26feature%3Dyoutu.be).

Kim joined us again in 2020, after he retired from Microsoft and gave a different sort of talk. His [keynote](https://www.youtube.com/watch?v%3DnLSYCxw6I8c) at the IdentityNORTH Annual Summit was a sort of career retrospective

* [Rest in Peace, Kim Cameron](https://www.kuppingercole.com/blog/resch/rest-in-peace-kim-cameron) Joerg Resch, Kuppinger Cole

Kim attended nearly all the European Identity Conferences (EIC), from the very first one back in 2007, to 2019 and inspired us with his visionary, content-rich yet entertaining keynote talks and panel sessions. Have a look at his 2019 talk about privacy in the platform economy (“[Turning the Web Right Side Up](https://www.kuppingercole.com/watch/eic2019_14_09_cameron)”, his visionary “[Identity Services 2020](https://www.kuppingercole.com/watch/eic15_keynote_cameron)” talk at EIC 2015, where he also reflected on 15 years

* [In Praise of Kim Cameron](https://openid.net/2021/12/04/in-praise-of-kim-cameron/) OpenID Foundation

Not only did Kim “inject his 7 laws of identity into Microsoft’s DNA”, but did so throughout today’s growing global digital identity ecosystem.

Kim was crafty. He not only injected his thinking into Microsoft; as a champion of the Identity Standards Community, Kim embedded his thinking into the standards that inform many of the identity systems operating at scale today.

* [There are no words, really, but I will try](https://www.linkedin.com/feed/update/urn:li:activity:6872285572124221440/) Jamie Lewis

If there was ever a person one could describe as being “full of life,” it was [Kim Cameron](https://www.linkedin.com/in/ACoAAAAiG7UBqRTVbfo5tvZGPKQY9pWuFZkqneY). It was impossible to be around him without laughing and learning—usually at the same time.

* [Kim Cameron: Identity's god](https://www.networkworld.com/article/2316750/kim-cameron--identity-s-god.html) Network World

Kim Cameron isn't on a mission from God, but he once played guitar with some guys who were.
## Kim Cameron Memorials
* [Stories of Kim Cameron](https://self-issued.info/?p%3D2218)

I once asked Kim why there were so many Canadians working in digital identity. He replied: “Every day as a Canadian, you think ‘What is it that makes me uniquely Canadian, as opposed to being American? Whereas Americans never give it a thought. Canadians are always thinking about identity.'”

* [In Memory of Kim Cameron](https://www.windley.com/archives/2021/12/in_memory_of_kim_cameron.shtml) Phil Windley

Kim's technical excellence got him a seat at the table. His position at Microsoft gave him a big voice. But what made Kim effective was his gentle approach to technical discussions, especially those he thought might be contentious.

* [​​The gentle lawgiver](https://blogs.harvard.edu/doc/2021/12/06/the-gentle-lawgiver/) Doc Searls

What I want to celebrate, however, isn’t just Kim’s thoughts and works, but his example: of how an open and generous person in a giant company can use its power for good, and not play the heavy doing it. That’s what Kim did for the two decades he was the top architect of Microsoft’s approach to digital identity and meta systems

#
## Enterprise

* [OKTA Identity Cloud Integration with SSI agent](https://medium.com/@sethisaab/okta-identity-cloud-integration-with-ssi-agent-ea1694a833cb) @sethisaab

You will be able to learn how we can integrate existing centralized IDM solutions like Oracle Identity Cloud Service, OKTA identity Management, Sailpoint or Saviynt with SSI solutions like Hyperledger Aries, Spherity, or Trinsic to issue Verifiable credentials at the enterprise level as per business requirement.

* [Self-Sovereign Identity for the Enterprise with Switchboard](https://medium.com/energy-web-insights/unlocking-the-potential-of-self-sovereign-identity-for-enterprise-with-energy-web-switchboard-ab41499003a0) Energy Web

This release includes major updates to the front-end Switchboard web application as well as the back-end libraries and components, giving companies access to the full suite features offered by legacy identity access management solutions in a decentralized architecture.
* [https://northernblock.io/products/ssi-enterprise-cloud/](https://northernblock.io/products/ssi-enterprise-cloud/). In this video, we will demonstrate how to create new Verifiable Credentials with custom schemas using the NB Orbit enterprise app. Once the credential schema is created and the attribute fields specified, the enterprise user can then publish a credential definition to whatever root of trust they are using, in our case a Hyperledger Indy network.
* [LEIs to enable corporate digital ID with verifiable credentials](https://www.ledgerinsights.com/lei-corporate-digital-identity-verifiable-credentials-did/)
  > The Global Legal Entity Identifier Foundation (GLEIF) is the umbrella body that delegates responsibility for issuing LEIs to local organizations.
> 
> It’s such a pressing issue that it was raised by the OECD and B20 (G20 business) just three months ago when they suggested a [Global Value Chain (GVC) Passport](https://www.ledgerinsights.com/oecd-saudi-blockchain-business-passport-financial-compliance/).

* [GLEIF Press Release](https://www.gleif.org/en/newsroom/press-releases/gleif-advances-digital-trust-and-identity-for-legal-entities-globally)
* [Layering Digital ID on Top of Traditional Data Management](https://hiplatform.org/blog/2020/5/20/layering-digital-id-on-top-of-traditional-data-management) HIP
  > While Digital ID could offer benefit to humanitarian agencies and beneficiaries, alike, many questions remain to be answered. The cost effectiveness of ID solutions remains to be established. Given that many of these systems are only operating at pilot-scale, it is difficult to know what the primary drivers of cost are and how they can be mitigated. In addition, the digital ID space is fairly young and while initiatives like ID4D and ID2020 are working to drive meaningful interoperability among providers in the space, it remains to be seen what the most effective factors, in addition to open source software, open APIs, and common data formats, can be used to general meaningful interoperability.
## Trends
* [Digital Caribou looks at the future trends impacting Digital Identity](https://medium.com/caribou-digital/diagnostic-trends-shaping-the-future-of-digital-identification-181724c40068)
  > 1. The state of the art in digital identification are trust frameworks that accommodate diverse technologies, systems and stakeholders
  > 2. Risks remain even within the most rigorous trust framework:
  > 3. Achieving inclusion requires addressing both technical and political dimensions
  > 4. Trust frameworks are complicated so getting governance right requires an ecosystems approach
  > 5. Building the future of digital identification means reckoning with an analogue past
## Name of SSI

* [SSI Has an Identity Problem](https://trinsic.id/ssi-has-an-identity-problem/) Reilly, Trinsic

