---
published: false
---

# Data Governance
* [Marissa Mayer wants to fix your address book](https://www.cnbc.com/2020/11/18/marissa-mayer-is-back-and-she-wants-to-fix-your-address-book.html) CNBC
  > At launch, Mayer’s start-up is rolling out Sunshine Contacts, an address book app that relies on artificial intelligence to find and merge duplicate contacts, fill out incomplete information and continually keep that data up to date. The app integrates with the iOS Contacts app as well as Gmail and will be free to all iOS users with an invitation.
* [You are not your Data but Your Data is still You](https://deepdives.in/you-are-not-your-data-but-your-data-is-still-you-b41d2478ece2).
  > In the digital age, individual privacy in the broadest sense is about control over protecting one’s personally identifiable information (PII), such as information about health, credit, shopping, or communication. But the types of information deemed ‘personally identifiable’ and the amount of control one has over them varies around the world.
* [Ada Lovelace Institute](https://twitter.com/AdaLovelaceInst) (ALI) Shares Highlights and References
  > discussing different approaches to data stewardship and potential principles individuals and organisations can follow
- [Exploring principles for data stewardship](https://www.adalovelaceinstitute.org/project/exploring-principles-for-data-stewardship/) - case studies exploring principles for data stewardship - ALI
- [Data Trusts Initiative](https://datatrusts.uk/) - interdisciplinary programme that pursues research at the interface of technology, policy and the law to better understand the role data trusts can play
- [Data Futures](https://foundation.mozilla.org/en/initiatives/data-futures/) - Research to shift power through data governance - Mozilla Foundation
- [The Data Economy Lab](https://thedataeconomylab.com/) - unlock the societal value of data while safeguarding the rights of individuals and communities.
- [Practising data stewardship in India, early questions](https://www.adalovelaceinstitute.org/blog/practising-data-stewardship-in-india/) - could data stewardship help to rebalance power towards individuals and communities? ALI
- [Doing good with data: what does good look like when it comes to data stewardship?](https://www.adalovelaceinstitute.org/blog/what-does-good-look-like-data-stewardship/) ALI
- [@CjColclough](https://twitter.com/CjColclough) shares: [Towards Workers' Data Collectives](https://www.thewhynotlab.com/post/towards-worker-data-collectives) (The Why Not Lab)Written for [Just Net Coalition](https://justnetcoalition.org/) and [IT for Change](https://itforchange.net/) Digital New Deal [essay series](https://itforchange.net/digital-new-deal/)
* [Local-first software: You own your data, in spite of the cloud](https://www.inkandswitch.com/local-first.html)

a set of principles for software that enables both collaboration and ownership for users. Local-first ideals include the ability to work offline and collaborate across multiple devices, while also improving the security, privacy, long-term preservation, and user control of data.


* [Personal Data Warehouses](https://simonwillison.net/2020/Nov/14/personal-data-warehouses/) Simon Willison
  > If you’re like me, and you love building side-projects but you don’t like paying $5/month for them for the rest of your life, this is perfect.
* [Why framing “data” as an asset or liability is dangerous](https://www.mydigitalfootprint.com/2021/03/why-framing-data-as-asset-or-liability.html) MyDigital Footprint
  > If there is one thing that can change finance’s power and dominance as a decision-making tool, it is the rest of the [data](https://opengovernance.net/data-is-data-90ba0b803178). According to Google (2020), 3% of company data is finance data when considered part of an entire company’s data lake. McKinsey [reports](https://www.mckinsey.com/business-functions/strategy-and-corporate-finance/our-insights/how-companies-make-good-decisions-mckinsey-global-survey-results) that 90% of company decisions are based on finance data alone, the same 3% of data.

If you are in accounting, audit or finance shoes, how would you play the game to retain control when something more powerful comes on the scene?
* [PSA Today with Julian Ranger, founder of Digi.me](https://anchor.fm/psatoday/episodes/PSA-Today-37-Kaliya-and-Seth-talk-with-Julian-Ranger--Chairman--Founder-of-Digi-me-about-personal-data-governance-in-a-world-of-surveillance-capitalism-etpk24)
  > Personal data governance (in a world of surveillance capitalism‪)‬
* [Personal data servers will help take back digital ID from big tech](https://www.wired.co.uk/article/personal-data-servers) (Wired OpEd)
  > In 2021, individuals will gain the ability to own servers where their data is stored – and with it control their online identities.
> 
> [...] because data from their healthcare provider acquired into the server can be used to authenticate and assert that fact without the need to give any identity information. By using PDAs, apps that rely on sensitive data will be able to access this and stay “identity blind”.
> One effect of the Covid-19 pandemic will be the increased use of PDAs.
* [‘Personal Data Ecosystem’ key foundation for Scotland’s Digital Economy](https://digitalscot.net/personal-data-ecosystem/)
  > Patient records won’t be held centrally in a monolith EHR, but will instead be distributed to and owned/controlled by the users themselves.
> 
> Apps like [Healthy Me](https://digi.me/healthy-me/) from digi.me are an example of this new paradigm and how the decentralized approach tackles issues common to IT, like data privacy, by distributing the workload and privacy control to the users themselves.
> Initiatives like [MyData](https://mydata.org/), of which digi.me plays a key role, are setting out to develop the global movement that will establish the framework for adoption of this approach, defining the methods and governance for regulating this model of data exchange.
* [Digi.me enables rapid citizen-centric data exchange solutions for flexibile Gov COVID-19 uses](https://www.youtube.com/watch?v=3LbWqBTCa00) (youtube)
* [New Coalition Launches Campaign for Data Sovereignty Now](https://datasovereigntynow.org/2021/01/21/new-coalition-launches-campaign-for-data-sovereignty-now/)
  > a campaign that will press European policy makers at all levels to ensure that control of data remains in the hands of the people and organizations that generate it. The issue becomes ever more urgent as policies around Europe’s digital economy and data architecture start to solidify.
* [Hidden in Plain Sight — the Transformational Potential of Personal Data](https://medium.com/mydex/hidden-in-plain-sight-the-transformational-potential-of-personal-data-da47f666713e) MyDex
  > Personal data stores apply the same economic logic to transform the costs of producing data driven services. [Verified attributes](https://medium.com/mydex/unleashing-the-potential-of-verified-attributes-fe001e01b091) are the digital equivalents of Henry Ford’s standardised parts. By enabling one organisation to instantly re-use data verified by another organisation they eliminate the need for vast amounts of duplicated effort and rework (re-creating each data point from scratch or checking its details, provenance etc).
* [If your strategic plan is based on data, have you considered the consequences?](https://www.mydigitalfootprint.com/2021/04/if-your-strategic-plan-is-based-on-data.html) MyDigitalFootprint
  > How do you know your data set has the views of everyone who is critical to your business today and in the future? How do you know the tools you use provide equal weight to everyone to make our business thrive?  How do you know if the recommendation was written before the analysis? How do your incentives create a new bias?

* [We Need Data Unions to Support the Data Economy](https://blog.oceanprotocol.com/voices-of-the-data-economy-shiv-malik-data-unions-84243ab965ee) Pool Foundation via Ocean Protocol
  > In the twelfth episode of Voices of the Data Economy, we had a conversation with [Shiv Malik](https://twitter.com/shivmalik?s%3D20), CEO at Pool Foundation and former Head of Growth for Streamr where he evangelized about a new decentralized data economy. During this discussion, he tells us how Data Unions work, its real-life use cases, and legislative regulations supporting the Data Union model. Here are edited excerpts from the podcast.

* [Data for good: powering our way to a better world](https://blog.digi.me/2021/04/29/data-for-good-powering-our-way-to-a-better-world/)
  > We should absolutely all be taking care of the data that belongs to us, our data that we create, that we have a right to be able to control and share exactly as we choose. But we should also bear in mind the power of that data to help each of us, every day, benefit from the good that can come when it is shared and used to create a better world for us all.
* [Everybody has our data ... except us](https://reb00ted.org/personaldata/20210620-who-has-my-personal-data/) reb00ted

Google has all my e-mail. (And I don’t. They merely let me access it with a browser.)

Facebook has the list of all of my friends and what I said to them. (And I don’t.)

LinkedIn has all of my business contacts. (Repeat after me: and I don’t.)

Instagram has all my photos. Well, the Instagram department of Facebook does. (Chorus now: and I don’t.)

Amazon has the list of all my purchases, and knows what products I was interested in but didn’t buy after all. (AND I DON’T.)
* [What the Heck is a Data Mesh?!](https://cnr.sh/essays/what-the-heck-data-mesh)

I re-read [Zhamak Dehghani](https://twitter.com/zhamakd) ’s [original](https://martinfowler.com/articles/data-monolith-to-mesh.html) and [follow-on](https://martinfowler.com/articles/data-mesh-principles.html) posts. Zhamak is the creator of the data mesh. In her second post she identifies [four data mesh principles](https://martinfowler.com/articles/data-mesh-principles.html%23CorePrinciplesAndLogicalArchitectureOfDataMesh):

1. Domain-oriented decentralized data ownership and architecture
2. Data as a product
3. Self-serve data infrastructure as a platform
4. Federated computational governance
* [Attitudes To Personal Data Management](https://mylifedigital.co.uk/attitudes-to-personal-data-management/)
  > In recent years, personal data has been an increasingly popular topic of conversation for marketers, data analysts, regulators, and privacy warriors. Individuals have learnt that recent regulatory updates have given them more rights over how that data is used. Are these two forces aligned?
  > 
  > We distributed a survey and received over 400 responses from both individuals and organisations answering questions about the management of personal data. How aligned are the two points of view? This infographic shows a summary of key questions and responses.
* [What Does It Actually Mean When a Company Says, “We Do Not Sell Your Data?”](https://john.philpin.com/2021/09/03/what-does-it.html) John Philipin

Probably because the alternatives produce even more income.

* [Catalysing transformative change: new project to produce innovative services in smart cities](https://mydata.org/2021/09/02/catalysing-transformative-change-new-project-to-produce-innovative-services-in-smart-cities/) MyData

“Cities around the world are racing ahead to be smarter by taking ethical approaches to personal data”, explains Teemu Ropponen, General Manager of MyData Global “MyData Global is a centre of excellence for personal data management expertise, with the H3C project we are bringing together city administrations, companies and individuals to find solutions that put people in control of their personal data”

* [Introducing the Me2B 101 Flash Guide Series](https://me2ba.org/introducing-the-me2b-101-flash-guide-series/) Me2B Alliance

When we started drafting the Respectful Tech Specification a couple of years ago, it was immediately obvious that we didn’t have an adequate vocabulary to describe personal experiences in the digital world—never mind measure them.

* [Flash Guide #5: Online Me2B Deals: Currencies in the Digital World and the Price of “Free”](https://me2ba.org/flash-guide-5-online-me2b-deals-currencies-in-the-digital-world-and-the-price-of-free/)

The Me2B Deals or transactions that occur online typically involve three types of “currency”: money, attention or data. [...] What sets online data monetization apart from the other two currencies is that often, customers have no idea what they are paying with – or that they are paying at all.

* [Flash Guide #6: Online Me2B Relationships](https://me2ba.org/flash-guide-6-online-me2b-relationships/)

our relationship with connected technology includes a set of “hidden affiliates” (third party integrations) that most of us are not aware of. This guide describes how these relationships – conscious or not – emerge as we interact with digital technologies.

* [Flash Guide #7: The Me2B Lifecycle: Overlaying Social Norms on the Digital World](https://me2ba.org/flash-guide-7-the-me2b-lifecycle-overlaying-social-norms-on-the-digital-world/)

This real life social context is currently missing in both existing privacy regulation and in industry standards models for ethical technology [...] Our model helps course-correct connected technology by pinpointing how the digital Me2B experience deviates from important social behavioral norms.

* [Flash Guide #8: Digital Me2B Commitments & Deals](https://me2ba.org/flash-guide-8-digital-me2b-commitments-deals/)

This guide provides examples of common Commitments and Deals, and shows how they map to the stages of a Me2B Lifecycle. It also reflects social norms for being anonymous, recognized, or known at each stage.

* [Flash Guide #9: The 10 Attributes of Respectful Me2B Commitments](https://me2ba.org/flash-guide-9-the-10-attributes-of-respectful-me2b-commitments/)

The Me2B Respectful Tech Specification measures technology behavior against 10 attributes that respectful Me2B Commitments should possess. These attributes represent how technology should treat us and our data at every step along the Me2B Relationship Lifecycle.

* [Flash Guide #10: Data Flow & the Invisible Parallel Dataverse](https://me2ba.org/flash-guide-10-data-flow-the-invisible-parallel-dataverse/)

Our personal data flows do not start light and increase with time and trust. Instead, a firehose of personal information is released – and shared with a host of unseen third parties – as soon as we open an app or website. Me2BA’s Respectful Tech Specification V.1 is largely focused on testing for these invisible parallel dataverse data flows.

* [12 ways a human-centric approach to data can improve the world](https://me2ba.org/world-economic-forum-12-ways-a-human-centric-approach-to-data-can-improve-the-world/) Me2B Alliance

Twenty-five quintillion bytes of data are generated every day. That’s 25,000,000,000,000,000,000. In this era of data abundance, it’s easy to think of these bytes as a panacea – informing policies and spurring activities to address the pandemic, climate change or gender inequality – but without the right systems in place, we cannot realize the full potential of data to advance a sustainable, equit
* [PERSONAL DATA HOLDS THE KEY FOR SUSTAINABLE CITY LIFE](https://mydata.org/2021/09/13/personal-data-holds-the-key-for-sustainable-city-life-but-rewards-must-be-balanced-with-risks-to-digital-rights/) MyData

* [Japan-based Dixon Siu to join the Board of aNewGovernance AISBL](https://www.anewgovernance.org/2021/09/15/japan-based-dixon-siu-to-join-the-board-of-anewgovernance-aisbl/)

Given his breadth of experience and alignment with a number of strategic sectors where aNewGovernance is currently developing ecosystems, I am sure, he will bring incredible contribution.

* [Data Privacy: does anyone care?](https://blog.meeco.me/data-privacy-does-anyone-care/) Meeco

The compelling data and research suggest that my original question now needs to be reframed. People most certainly do care about their data privacy. The question now is: how are organisations going to bridge this data privacy chasm?

* [Data Sovereignty International Forum 2021(English)](https://www.youtube.com/watch?v%3D2Q2DL0ojauA)

* [FTC’s Shot Across the Bow: Purpose and Use Restrictions Could Frame The Future of Personal Data Management](https://identitypraxis.com/2021/11/03/ftcs-shot-across-the-bow-purpose-and-use-restrictions-could-frame-the-future-of-personal-data-management/) Identity Praxis

So that there is no uncertainty or doubt, however, Duball[4](https://identitypraxis.com/2021/11/03/ftcs-shot-across-the-bow-purpose-and-use-restrictions-could-frame-the-future-of-personal-data-management/%23fn4) reports that, while consumer privacy is a chief concern for the commission, it is not the primary concern to the exclusion of other concerns. The commission is also worried about algorithmic bias and “dark patterns” practices.
* [Self-Sovereign Identity Personal Data Usage Licensing (SSI-PDUL) Model: Whitepaper](https://hyperonomy.files.wordpress.com/2019/11/hyperonomy-ssi-personal-data-usage-licensing-model-ssi-pdul-model-2021-0.27rd.pdf) Hyperonomy

The scope of the Self-Sovereign Identity Personal Data Usage Licensing (SSI-PDUL) Model is personal digital identifiers and any associated identity data presented by Alice to the App. It does not include the permissioning of data internal to the App (although the natural extension of the solution to internal data is an obvious one)
* [Self-Sovereign Identity Personal Data Usage Licensing (SSI-PDUL) Model](https://hyperonomy.com/2021/01/27/self-sovereign-identity-personal-data-usage-licensing-ssi-pdul-model-solution-concept/) Michael Herman

How Alice User, an App User and Identity Owner, and Bob Developer, an App Developer and App Controller, might negotiate the use of Alice’s personal digital identifiers and any associated personal identity data by Bob’s app, based on Self-Sovereign Identity Model Usage Principles

* [75% of Americans Want National Data Privacy Standards](https://anonyome.com/2021/11/75-of-americans-want-national-data-privacy-standards/) Anonyme
  > The clear majority of adults surveyed want national standards around how companies collect, process and share [personal data](https://anonyome.com/2020/05/what-constitutes-personally-identifiable-information-or-pii/) to help protect users’ [privacy](https://anonyome.com/2021/02/what-is-privacy/) and security online. Seven in 10 people agree with the federal government treating personal data security as a [national security](https://anonyome.com/2021/09/china-us-recognize-national-security-risks-of-surveillance-capitalism/) issue and investing in cybersecurity.
* [Trusted Data Ecosystems: The Indicio Way](https://indicio.tech/trusted-data-ecosystems-the-indicio-way)

This multidimensional value—authenticity, compliance, integrity, and resilience—coupled with being easy to integrate is what separates the Indicio approach from the rest. Our growth in 16 months—with global enterprise customers and a global decentralized blockchain network supported by 23 companies on five continents is a sign that fundamental change is coming in the way we share information.
* [Helping Data Trusts Manage Personal Data](https://medium.com/mydex/helping-data-trusts-manage-personal-data-4215faaee5f2) Mydex

Mydex CIC has just published a blog for Cambridge University’s Data Trust Initiative on ‘Helping Data Trusts Manage Personal Data’. In it, we address the challenges that arise as the Data Trust movement begins to scale.

- [MEF CONNECTS Personal Data & Identity](https://mobileecosystemforum.com/events_/mef-connects-personal-data-identity/) 5/11 Mobile Ecoystem Forum

- [How to use the framework of a Trusted Data Ecosystem to simplify building decentralized identity solutions](https://www.kuppingercole.com/sessions/4999/3) on Wednesday, May 11, at the [European Identity and Cloud Conference 2022](https://www.kuppingercole.com/events/eic2022).

* [The need for new Data Institutions](https://medium.com/mydex/the-need-for-new-data-institutions-e6b06cd0cbb8) Alan Mitchell

we were presenting at the Open Data Institute’s event on Data Sharing and the [Rise of Data Institutions](https://theodi.org/article/what-are-data-institutions-and-why-are-they-important/) — a crucially important subject for the years ahead. (You can see the slides of our presentation [here](https://www.slideshare.net/davidejalexander/mydex-cic-odi-radical-data-institutions-20220330-alan-mitchellpdf).)


* [Dangerous Data: the role of data collection in genocides](https://www.theengineroom.org/dangerous-data-the-role-of-data-collection-in-genocides/) The Engine Room

* [Emerging approaches for data-driven innovation in Europe](https://publications.jrc.ec.europa.eu/repository/handle/JRC127730) JRC Publications

Europe’s digital transformation of the economy and society is framed by the European strategy for data through the establishment of a common European data space based on domain-specific data spaces in strategic sectors such as environment, agriculture, industry, health and transportation.

*
* [Ontology Partners With 4EVERLAND to Accelerate Web 3.0 Adoption](https://medium.com/ontologynetwork/ontology-partners-with-4everland-to-accelerate-web-3-0-adoption-dfc658e8ea21)

Ontology is partnering with [4EVERLAND](https://www.4everland.org/), a Web 3.0 cloud computing platform enabling global acceleration, privacy protection, distributed storage and other technical features to accelerate the move towards Web 3.0.

* [Data Mob Rule](https://www.moxytongue.com/2021/08/data-mob-rule.html) MoxyTongue

Individual Rights are hard to come by historically. Strong people make them possible. First requirement of their existence is thus, strong people.

* [How to unleash the full potential of data?](https://medium.com/mydex/how-to-unleash-the-full-potential-of-data-3676db8d7c03) Alan Mitchell

The main reason why vital information is not getting where it needs to be is that our data economy has evolved to be an organisation-centric ‘One User One Use’ (OUOU) system — whereas, thanks to the inner logic of data itself, it needs to operate as a ‘Many Users, Many Uses’ (MUMU) data ecosystem.

### Data Portability
* [Europe’s top Data Portability Projects](https://dapsi.ngi.eu/meet-europes-top-data-portability-projects/)

- [ALIAS](https://dapsi.ngi.eu/hall-of-fame/alias/) – automating GDPR portability for applications developers.
- [Checkpipe Charlie](https://dapsi.ngi.eu/hall-of-fame/checkpipe-charlie/) – tool for describing and validating data.
- [DIP](https://dapsi.ngi.eu/hall-of-fame/dip/) – Vaccination & Immunization Management using Verifiable Credentials.
- [Domi](https://dapsi.ngi.eu/hall-of-fame/domi/) – SSI-based digital passport to facilitate data portability in the housing rental sector.
- [DPella](https://dapsi.ngi.eu/hall-of-fame/dpella/) – Data analyses with privacy in mind.
- [IDADEV-P2P](https://dapsi.ngi.eu/hall-of-fame/idadev-p2p/) – Blockchain Based Data Portability System
- [OpenPKG](https://dapsi.ngi.eu/hall-of-fame/openpkg/) – decentralised data provenance system for improved governance and portability of personal data.
- [OpenXPort](https://dapsi.ngi.eu/hall-of-fame/openxport/) – Open export of data across different systems and providers.
- [ORATORIO](https://dapsi.ngi.eu/hall-of-fame/oratorio/) – Energy data exchange platform.
- [Prov4ITData](https://dapsi.ngi.eu/hall-of-fame/prov4itdata/) – Provenance-aware querying and generation for interoperable and transparent data transfer.
- [UI-Transfer](https://dapsi.ngi.eu/hall-of-fame/ui-transfer/) – complete solution for “user initiated inter-controller and continuous data transfer”


* [Data as competitive advantage & control mechanism in platform economy](https://www.youtube.com/watch?v=nlf5juCc6CA)
  > Presenters: Sangeet Paul Choudary, Molly Schwartz Session host: Riikka Kämppi Molly Schwartz chats with Sangeet Paul Choudary - best-selling author of Platform Revolution and Platform Scale and founder of Platformation Labs - unpacks the ethics and economics of data.

* [Decentralized machine learning to respond to the health crisis](https://blog.cozy.io/en/decentralized-machine-learning-to-respond-to-the-health-crisis/)
  > The current health crisis has shown how essential it is to have data in order to make political decisions.[...]
  > 
  > We present here one of these solutions that allows training an AI with the data of many individuals without ever disclosing it to third parties, thanks to a decentralized protocol.
* [Kaliya & Seth talk Synthetic Data with Harry Keen CEO of Hazy.com](https://anchor.fm/psatoday/episodes/PSA-Today-33-Kaliya--Seth-talk-Synthetic-Data-with-Harry-Keen--CEO-and-co-founder-of-Hazy-com-eqal35) PSA Today #33
  > Originally a UCL AI spin out, London-based Hazy was initially incubated by Post Urban Ventures and CyLon cybersecurity accelerator. Our startup began trying to fix the flaws of traditional data redaction and then data anonymisation. We soon discovered anonymised data will always pose a risk to re-identification.

### Dynamic Data Economy: Digital Identity, Authentic Data Flows, Data Mesh and other dragons by Robert Mitwicki

DDE, HCF, Data Mesh, KERI, OCA

Session was held by Human Colossus Foundation folks who described the vision for DDE which is developed within the Colossi network around the foundations.

Dynamic Data Economy is a roadmap towards fair, decentralized and authentic data economy. Many times people are referring to blockchain technology as a revolution within digital space. But often they actually mean something more profound: the promise of Decentralisation brought by blockchain. A Dynamic Data Economy brings decentralization outside the technology realm into digital solutions for any economic actors. It does so by decentralizing all layers of the ecosystem:

- Decentralized Governance - no administrative entity fully controls and sets the rules, Individuals, organization and government are sovereign on their data Governance.
- Decentralized Architecture - physically decentralization of resources running that network. Economic actors keep control of their data storage solution according to the level of security required.
- Decentralized Logic (Data) - if you cut the system in half it can continue working and data is not damaged in any way, e.g. no need for total ordering.

No blockchain fulfills all those requirements and some none at all. And this is a problem for sensitive areas (e.g. identity or data portability) Then the agreements on sets of principles, protocols and rules to fulfill those requirements are “add-ons”.They are not in the system by design and thus weakens the overall solution Thus the Human Colossus Foundation (HCF) is seeking for opening up discussion and lead towards standardization efforts to ensure that the decentralized technologies already existing brings to life a Dynamic Data Economy for all with and without blockchain.

* [An introduction to The Authentic Data Economy](https://iiw.idcommons.net/4E/_An_introduction_to_The_Authentic_Data_Economy) by David Huseby

This was a session to discuss the topics I brought up in my article on the authentic data economy:

* [The Authentic Data Economy. Universal Digital Trust at Global Scale | by 𝔡𝔴𝔥 | Medium](https://dwhuseby.medium.com/the-authentic-data-economy-9802da67e1fa)

With each successive wave of computerization the new innovations built on the last. Each one taking more of human-scale processes and shrinking them down and putting them into computers and eventually online. The authentic data economy isn’t any different. It leverages data collection and networking and personal computing advances. It makes our data ours and authentic. It builds on all of the previous work done by countless engineers and inventors and dreamers. However, by being the last big problem it represents the final piece that brings together everything that came before it. The scope of the authentic data economy is literally everything in the human sphere. There is nothing that this won’t change. Trust will go everywhere and into everything. But most importantly, so will privacy.

I talked about how the break from the W3C DID specs and other key innovations in cryptography have enabled me and Mike Lodder to design a solution for identity and all data provenance that is 1. privacy preserving, 2. scalable to global scale and how that creates an opportunity for authentic data to become the primary way data is used in the world.

* [Credential Marketplaces](https://iiw.idcommons.net/12K/_Credential_Marketplaces) by Martin Riedel, Stepan Gershuni

Presentation: [https://docs.google.com/presentation/d/1WOXgHhgAwG0Im45pZkTAhsadpd8xbck0xjlnsuVGGhI/edit?ts=60803bc8](https://docs.google.com/presentation/d/1WOXgHhgAwG0Im45pZkTAhsadpd8xbck0xjlnsuVGGhI/edit?ts%3D60803bc8%23slide%3Did.gd369c9df06_0_17)

The goal of this session is to present the idea and get community feedback regarding this.

Credential Marketplace is quite high up the SSI stack but we want to start this discussion.

1. What is Credential Marketplace?
2. We have a Trust Triangle of Issuer-Holder-Verifier. This does not need any centralized entity except schema hosting.
3. However, we want to solve the problem of discovery of Issuers and Verifiers.
4. Example: I’m traveling to a new country. I need to get what healthcare VCs are needed to go there, in an automated way.
5. How can we solve this without relaying on a centralized registry of Verifier requirements and Issuer capabilities?
6. How it works
7. In order to discover issuers / vc types, there should be a registration step where issuers/verifiers actively OR passively provide metadata about their capabilities.
8. Credential Data — can contain some filters or constraints on the data from within the VC. E.g. As a Verifier, I only accept passport VC from only certain governments: only German nationals.
9. VC Metadata
10. Issuer Metadata
11. Reputation mechanism for credential issuers
12. Marketplace can also implement value transfer: paying for issuance by the verifier, for example. Even if they are part of different SSI ecosystems. This is optional but can help incentivize different participants.

* [Universal NFTs as authentic data without tokens/blockchains. How to eliminate minting/mining fees and break the NFT silos.](https://iiw.idcommons.net/21F/_Universal_NFTs_as_authentic_data_without_tokens/blockchains._How_to_eliminate_minting/mining_fees_and_break_the_NFT_silos.) by Dave Huseby

This session described how we can use the authentic data solution to track provenance and controllership of digital data and effectively create NFTs, now called NFADs, that are completely independent of blockchains and tokens. This eliminates minting and transfer costs common on the NFT silos. I have provided link to the slides.

* [https://docs.google.com/presentation/d/1VaxwE9d4kEvmsJGUMWcvLf5WOQRcv5o_wTGTsecfseA/edit?usp=sharing](https://docs.google.com/presentation/d/1VaxwE9d4kEvmsJGUMWcvLf5WOQRcv5o_wTGTsecfseA/edit?usp%3Dsharing)

* [International Semantic Infrastructure: Requirements for a distributed data economy](https://iiw.idcommons.net/21L/_International_Semantic_Infrastructure:_Requirements_for_a_distributed_data_economy) by Paul Knowles

Brent Shambaugh. Integrate computing, processing, storage. Virtual machine to integrate databases. Query language, like Linked Data, over a lot of different systems. SeeQL(?) - translate. Categorical databases (Ryan and David’s work): to not really rely on a single source ofo truth, but more rely on transformations between things. Use category theory to have an exact/provable way of doing that. Cat theory has to follow certain rules. Cat theory kind of abstract but provides a framework for unrelated disparate things. Ryan could say how to algebraicly describe things, which would branch off into… Josh at Uber: come up with schemas, get down to the data/logical layer. Different places to go. Way to translate in from out. Might have multiple different ones, want to map from each one, but if you have a vague interpediary in centralized model, loosely defined that both map to, then have a mapping between the two things. Linked Data problem

* [...]

Linking data together is about machine readability. Involved humans… need to understand. Do it through language. Humans like OCA because can understand data in different languages, makes sense for people. Human element. In that capture space. Want to refine OCA, take out some of the rules parts, masking overlay, conditional overlays, and get it away from OCA as architecture - it convolutes things. OCA only meant for making theings human-readable.

* [Creating a positive vision for the future - decentralised web + SSI](https://iiw.idcommons.net/21I/_Creating_a_positive_vision_for_the_future_-_decentralised_web_%252B_SSI) by Jemima Gibbons

Discussion moved to this Miro board:

* [https://miro.com/app/board/o9J_lII_R8s=/](https://miro.com/app/board/o9J_lII_R8s%3D/)

* [IIW32_TH_21I_Creating a Positive Visition for Future - Decentralised Wed + SSI](https://docs.google.com/document/d/1iELB7PlUp_5ZJa9LGxWXium_-pHcXS35MG4oGgDl98s/edit)

17:10:05 From Bruce Conrad to Everyone : Another dystopia prediction from 1909: "The Machine Stops" is a science fiction short story (12,300 words) by E. M. Forster. [quoted from wikipedia]

* [https://www.amazon.com/Monkeys-Typewriters-Myths-Realities-Social/dp/0956263143](https://www.amazon.com/Monkeys-Typewriters-Myths-Realities-Social/dp/0956263143)

17:18:50 From Jemima Gibbons to Everyone : [https://join.slack.com/t/oneteamgovernment/shared_invite/zt-2tsf24lc-zhqjU6GIjWiDem_APXc0BQ](https://join.slack.com/t/oneteamgovernment/shared_invite/zt-2tsf24lc-zhqjU6GIjWiDem_APXc0BQ)

17:22:31 From Jemima Gibbons to Everyone : [https://sfadigital.blog.gov.uk/2017/03/24/dont-bring-policy-and-delivery-closer-together-make-them-the-same-thing/](https://sfadigital.blog.gov.uk/2017/03/24/dont-bring-policy-and-delivery-closer-together-make-them-the-same-thing/)

* [https://www.oneteamgov.uk/](https://www.oneteamgov.uk/)

* [https://miro.com/welcomeonboard/DRQLs1YeZ9DqbWzmXoBVubmSZ2zgt93AelmqxuZVf9q5zqWLyZI7AFxGePI4biNq](https://miro.com/welcomeonboard/DRQLs1YeZ9DqbWzmXoBVubmSZ2zgt93AelmqxuZVf9q5zqWLyZI7AFxGePI4biNq)

17:52:46 From Orie Steele to Everyone : Shameless plug for our work with GS1 on VCs

* [https://www.youtube.com/watch?v=iDkANArgdKI&t=15s](https://www.youtube.com/watch?v%3DiDkANArgdKI%26t%3D15s)
* [The Anatomy Of Personal Data Sovereignty](https://www.forbes.com/sites/forbesbusinesscouncil/2021/05/04/the-anatomy-of-personal-data-sovereignty/?sh%3D69dbea5761e1) in Forbes

The data privacy/control issue isn’t new, but the attitude shift is. People care more, demand more, and the scale of change that has occurred due to the Covid-19 pandemic is major. As we live through times exposing such injustice and inequality, it's becoming evident that this personal data ecosystem needs to undergo a major revamp.
* [BIS Annual Report](https://www.bis.org/publ/arpdf/ar2022e3.pdf) section III. The future monetary system on page 41 in the chart

Point 5. User control over data—data governance arrangements should ensure users’ privacy and control over data:

- Today: Users trust intermediaries to keep data safe, but they do not have sufficient control over their data
- Crypto: Transactions are public on the blockchain—which will not work with “real names”
- Tomorrow: New data architectures can give users privacy and control over their data


* [Introducing TreeLDR: A Canopy Across Your Data Schema Dreams](https://blog.spruceid.com/introducing-treeldr-a-canopy-across-your-data-schemas/) SpruceID

TreeLDR is an open-source developer tool with a DSL that makes managing data schemas as easy as defining data structures in your favorite (sane) statically-typed language.

Our open banking platform is guided by our [data responsibility principles](https://www.mastercard.com/news/perspectives/2022/data-responsibility-and-inclusion/). Mastercard


* [Rulebook overcomes the lack of trust in data sharing](https://www.mydata.org/2022/08/30/rulebook-overcomes-the-lack-of-trust-in-data-sharing/) MyData

The data sharing market is taking off and there is enormous uncaptured value. Many organisations are looking for new trustworthy ways to create value from data collaboration. Individuals can also benefit tremendously if data can be more readily shared across service providers.

* [Training: Building smart cities services 2.0](https://oldwww.mydata.org/h3c/) MyData

You will learn about business models, compliance with complex regulatory regimes, standards, and governance mechanisms. You will be connected with EU funding opportunities, and you will learn how to build successful partnerships with companies and cities

* [What Meta’s Profit Drop Might Say About Consumer Sentiment on Data Privacy](https://anonyome.com/2022/09/what-metas-profit-drop-might-say-about-consumer-sentiment-on-data-privacy/) Anyonyome


* [Skills for creative futures? MyData starts the Cyanotypes project.](https://www.mydata.org/2022/09/21/mydata-starts-cyanotypes-project/) MyData

* [What to make of data sovereignty](https://www.mydata.org/2022/09/26/data-sovereignty/) MyData

Data sovereignty has gained much recent attention, whilst interpreted in varied ways. MyData Global describes in this blog post what to make of data sovereignty when taking a human-centric approach to personal data.
