---
published: false
---

# Standards Bodies


* [Decentralized Profiles group Nov 25th call](https://blog.ceramic.network/dprofiles-call-3/)
Every 6 weeks the at Ceramic meets
* [Digital Identity in response to COVID-19: DGX Digital Identity Working Group](https://www.tech.gov.sg/files/media/corporate-publications/FY2021/dgx_2021_digital_identity_in_response_to_covid-19.pdf)
* [Digital Identity Attestation Roundup - Open Source Security Foundation](https://openssf.org/blog/2021/01/27/digital-identity-attestation-roundup/%23)

We kicked off the first Digital Identity Attestation Working Group meeting under the OpenSSF in August, 2020. The objective of this working group is to enable open source maintainers, contributors and end-users to understand and make decisions on the provenance or origin of the code they maintain, produce and use.

* [Digital Identity WG (September 30, 2020)](https://www.youtube.com/watch?t%3D648%26v%3D6Ym5bXRuzZ8%26feature%3Dyoutu.be)
* [UPCOMING COMMUNITY CALL & NEW RESEARCH: BIOMETRICS IN THE HUMANITARIAN SECTOR](https://www.theengineroom.org/upcoming-community-call-new-research-biometrics-in-the-humanitarian-sector/) the Engine Room

In 2018 we worked with Oxfam to publish a [landmark report](https://www.theengineroom.org/wp-content/uploads/2018/03/Engine-Room-Oxfam-Biometrics-Review.pdf) on the use of biometric data – fingerprints, iris scans, voiceprints and so on – in the humanitarian sector. Our report looked at how these types of data were being collected and used, and raised critical questions around potential risks and harms.

* [...]

If you’re a humanitarian practitioner or just interested in biometrics and responsible data, please join our upcoming Community Call, where we’ll be introducing the project and hearing from practitioners on the theme. [Register for the call](https://us02web.zoom.us/meeting/register/tZEtf-mhrT4iH9JtwHCe-5UG25QeQZnhRigd)

* [Announcing the 2022 OpenID Foundation Kim Cameron Scholarship](https://openid.net/2022/04/08/announcing-the-2022-openid-foundation-kim-cameron-scholarship/) OpenID

Scholarship recipients will be studying, researching, interning or working in a field relevant to one or more [OpenID Foundation working groups](https://openid.net/wg/) and consistent with Foundation’s Mission. The scholarship recipients will also be invited to participate in Foundation breakout meetings at the European Identity Conference and Identiverse which will provide exposure to both the Foundation’s business as well as leading technologists.

New IETF protocol

* [Secure Credential Transfer](https://www.ietf.org/archive/id/draft-secure-credential-transfer-03.html) Vinokurov, Byington, Lerch, Pelletier, Sha

This document describes a mechanism to transfer digital credentials securely between two devices. Secure credentials may represent a digital key to a hotel room, a digital key to a door lock in a house or a digital key to a car. Devices that share credentials may belong to the same or two different platforms (e.g. iOS and Android). Secure transfer may include one or more write and read operations. Credential transfer needs to be performed securely due to the sensitive nature of the information.

Upcoming Work Group Calls

A lot of activity in this community happens every week in work groups. We are going to make more of an effort to highlight calls that may be of interest to folks and to do more coverage and linking to calls from the previous week that are interesting to a wider audience.

* [The W3C’s Credentials Community is hosting a session on NFTs and Identity](https://lists.w3.org/Archives/Public/public-credentials/2022Apr/0049.html). 4/12 [9am PST](https://meet.w3c-ccg.org/weekly)

There has been an explosion of interest in using NFT for identity, along with exploring how they could work with or support DIDs and VCs. Simone Ravaioli, Taylor Kendal and Heather Vescent have invited Evin Mcmullen of [Disco.xyz](https://www.disco.xyz/), Elina Cadouri of [Dock](https://www.dock.io/), Stepan Gershuni of [Affinidi](https://www.affinidi.com/) / [DeepSkills](https://www.deepskills.io/), and Dominik Beron of [Walt.id](https://walt.id/) to share their perspective on NFT identity and where it may overlap with DIDs and VCs

((Evin seems really cool -kaliya))




* [DIF Steering Committee Election Results 2022](https://blog.identity.foundation/sc-election-2022-results/)

SC Election results: DIF welcomes new SC members Sam Curren, Daniel Buchner, Karyl Fowler, Rouven Heck, Markus Sabadello & Kaliya Young!

Michale Herman [is excited](https://twitter.com/mwherman2000/status/1511550968617263114) about the new  #VCA (Verifiable Credential Authorization) using the new #VCTPS (Secure Verifiable Credential Transport Protocol) over #DIDCOMM


* [What Does Affinidi Do as a Member of the Decentralized Identity Foundation (DIF)?](https://academy.affinidi.com/what-does-affinidi-do-as-a-member-of-the-decentralized-identity-foundation-dif-d9d5146af14) Affinidi

In particular, Affinidi has been at the forefront in building many components such as the [Affinidi Wallet](https://academy.affinidi.com/what-is-affinidis-digital-wallet-1c2a52b4d13f), Schema Manager, [Consent Manager](https://build.affinidi.com/), and more that have enhanced the adoption of decentralised identity among communities and individuals.


* [Security Event Tokens, Subject Identifiers, and SSE/CAEP/RISC Java implementation](https://iiw.idcommons.net/13A/_Security_Event_Tokens,_Subject_Identifiers,_and_SSE/CAEP/RISC_Java_implementation) by Matt Domsch

Matt presented an overview of the OpenID Foundation Shared Signals and Events Working Group, and his implementation of the object model in an open source Java library at [https://github.com/sailpoint-oss/openid-sse-model/](https://github.com/sailpoint-oss/openid-sse-model/)

* [Drilling down: Co-development](https://medium.com/decentralized-identity/drilling-down-co-development-in-the-open-765a86ab153f) DIF
  > - What “standardization” means to DIF and what DIF means to standardization.
- A newbie-friendly survey of how DIF relates to nearby organizations with overlapping or related foci.
- What “co-development” and “coöpetition” really mean, concretely

* [OASIS Open Establishes European Foundation to Advance Open Collaboration Opportunities](https://www.oasis-open.org/2021/01/20/oasis-open-establishes-european-foundation-to-advance-open-collaboration-opportunities/)
  > “The OASIS Open Europe Foundation gives us a unique opportunity to work with the European Union and EU Member States to advance open source and standards projects,”
* [Shared Signal and Events (SSE) working group](https://openid.net/wg/sse/) in the OpenID Foundation.

## Interop

They are actually coming to the [Interoperability Working Group](https://www.notion.so/Interoperability-WG-a42995c37e2a4511a10aea96cdbccc38) this coming week to share results. Here is what they had to say about SSI:

A Self- Sovereign Identity can unlock the full potential of the digital global economy. The identity of people, organizations and things is relevant to any transaction, while protecting Personal Identifiable Information (PII) is of increasing importance.

* [Open call to kickoff the upcoming Wallet Security WG at DIF](https://lists.w3.org/Archives/Public/public-credentials/2021Feb/0114.html) March 1st
  > Bastian, Paul writes:
  >   I will present motivation, goals and a first roadmap.
  > Very short summary:
  > - standardized wallet security is necessary for sensitive credentials like id-cards, payment credentials or more 
  > - create a specification and interface to communicate about wallet capabilities, security, regulation-conformance and other points of security-relevant interoperability
  > - define mechanism to enable wallet security assertions, certification and ways to prove them
  > - define specifications about wallet user authentication, ways how to ensure them and how to communicate them to issuers/verifiers

* [Calander Invite](https://forms.gle/t6wDnipR2md3WWKj7) • [Wallet Security WG Charter](https://docs.google.com/document/d/18H2hVjHZEBjbnzod8tLogJIEzySdecbk9d-QBJaqHP0/edit) • [Wallet Security Mailing list](https://lists.identity.foundation/g/wallet-security)

* [VC-Educational Task Force](https://w3c-ccg.github.io/meetings/2022-04-18-vc-education/) VCEdu Mailing List

Dmitri Zagidulin: “with invisi edu here we've got two pressing problems [...] verifiable credentials that are going to be displayed in wallets but we also would like to bind them to more traditional display artifacts such as PDFs and that's what James is going to be talking about and the second one is [..] we want issuers to [...] at least advise to wallets, verifiers, and other software how to display the credential”
* [Chain Agnostic Standards Alliance](https://github.com/ChainAgnostic/CASA)

The Chain Agnostic Standards Alliance (CASA) is a collection of working groups dedicated blockchain protocol-agnostic standards. CASA also publishes [Chain Agnostic Improvement Proposals](https://github.com/ChainAgnostic/CAIPs) which describe standards created by the different working groups.

* [Secure Data Storage](https://identity.foundation/working-groups/secure-data-storage.html)



