---
published: false
---

# Organization

* [Why Are Governments Choosing Hyperledger?](https://northernblock.io/governments-are-choosing-aries-indy-ursa/) Northern Block
  > - Open Data Standards (W3C’s DID & VC Standards)
  > - Open Tech Standards (Hyperledger Aries, Indy, Ursa)
  > - Achieving W3C-Compliance on Aries and Indy

* [Building a Hyperledger Indy Network](https://iiw.idcommons.net/1H/_Building_a_Hyperledger_Indy_Network_-_Questions,_discussion,_etc.) - Questions, discussion, etc. by Lynn Bendixsen

Slides link: [https://docs.google.com/presentation/d/1sUG4297GiRcUdu4aqQnc0Op0LMhbwiqy9LIAINHfSFQ/edit#slide=id.p1](https://docs.google.com/presentation/d/1sUG4297GiRcUdu4aqQnc0Op0LMhbwiqy9LIAINHfSFQ/edit%23slide%3Did.p1)

Links to guides for creating your own Indy network:

High level:

* [https://github.com/trustoverip/utility-foundry-wg](https://github.com/trustoverip/utility-foundry-wg)

Technical details (implementation):

* [https://docs.google.com/document/d/1Tg4dAEtC78TxG9AsIby_CfpbeOicK_YMKznSQOvtIVU/edit](https://docs.google.com/document/d/1Tg4dAEtC78TxG9AsIby_CfpbeOicK_YMKznSQOvtIVU/edit)

* [LoginWithFIDO.com](https://loginwithfido.com/)
* [Consumer Research](https://fidoalliance.org/consumerresearch/) 
* [Vienna Digital Identity Meetup](https://www.meetup.com/Vienna-Digital-Identity-Meetup/)
* [Jolocom’s latest contributions to DIF](https://jolocom.io/blog/jolocoms-contributions-to-dif/)
  > Over the course of 2020, Jolocom added support for an off-chain element based on KERI. This is in addition to the Jolocom DID method (did:jolo and did:keri), which supports the Jolocom-Lib, our own SDK and the Jolocom SmartWallet.
* [IWD2021: Shining the spotlight on women in technology and digital identity](https://securekey.com/iwd2021-shining-the-spotlight-on-women-in-technology-and-digital-identity/)

This International Women’s Day, we celebrate these role models and promote inclusivity to better recognize achievements in technology and digital identity from leading women. We are so lucky to have allies and strong relationships with various organizations led by strong female experts. It is a true honour to work alongside female leaders who heavily impact the industry with their thought leadership and innovative sights.
* [Digital ID Lab Announces Successful Closure of Several Public and Private Grants](https://www.businesswire.com/news/home/20200714005237/en/Digital-ID-Lab-Announces-Successful-Closure-of-Several-Public-and-Private-Grants)

The Lab is Canada’s first independent and neutral organization to promote the compliance of and interoperability between digital ID solutions across public and private sectors, bridging a crucial gap in the advancement of Canada’s digital ecosystem.

* [GLEIF Launches New Stakeholder Group to Accelerate the Integration of LEIs in Digital Certificates](https://infocert.digital/gleif-launches-new-stakeholder-group-to-accelerate-the-integration-of-leis-in-digital-certificates/)

GLEIF has launched a CA Stakeholder Group to facilitate communication between GLEIF, CAs and TSPs from across the world, as they collectively aim to coordinate and encourage a global approach to LEI usage across digital identity products. Participation has already been confirmed by China Financial Certification Authority (CFCA), DigiCert Inc, InfoCert, Entrust Datacard, ICAI India, and SwissSign.
* [Indicio launches blockchain-enabled network for identity](https://indicio.tech/blog/indicio-launches-blockchain-enabled-network-for-identity/)
  > “Our clients asked for a stable, fully-staffed network based on Hyperledger Indy— one that could provide the  Service Level Agreements their customers need for mission-critical workloads,” said Heather Dahl, CEO of Indicio. “Today, we are excited to announce that this MainNet is open for business.”
  > 
  > “This is the network we need to accelerate adoption of passwordless zero trust ecosystems for enterprise customers” said Mike Vesey, President of [IdRamp](https://idramp.com), a leader in decentralized identity and a Genesis Node Operator on the Network.
* [DIF Steering Committee election coming up](https://blog.identity.foundation/nominations-for-the-steering-committee-election-now-open/)
  > Among the conclusions of this analysis was that a larger steering committee would garner more trust and visibility into DIF's internal governance as an organization. An operating addendum was adopted last month which formalizes procedures for periodic elections and distribution requirements.
* [Introducing DIF Grants](https://blog.identity.foundation/introducing-dif-grants/) Decentralized Identity Foundation
  > DIF is kicking off a program to administer narrowly-scoped financial support for community initiatives, ranging in format from grants to more competitive implementation bounties, hackathon-style open collaborations, and security reviews.

* [Setting Interoperability Targets](https://blog.identity.foundation/setting-interoperability-targets/) DIF
  > Our short-term roadmaps need testable, provable alignment goals that we can all agree on for our little communities and networks of technological thinking to converge gradually. Simply put, we need a few checkpoints and short-term goals, towards which we can all work together.

* [The DEI rollback](https://werd.io/2021/the-dei-rollback) Ben Werdmüller
  > The solution, for now, is to call it out, and for those of us with privilege to pledge never to work for (or start) an organization with these policies. Diversity and inclusion is more important than ever. And leaders who care about the culture of their companies should once again take note of the Basecamp team: this time as a lesson in what not to do.

* [Passing the Torch at the OpenID Foundation](https://self-issued.info/?p%3D2170) Mike Jones
  > Today marks an important milestone in the life of the OpenID Foundation and the worldwide digital identity community. Following [Don Thibeau’s decade of exemplary service to the OpenID Foundation as its Executive Director](https://openid.net/2021/02/19/resolution-thanking-don-thibeau-for-his-service/), today we [welcomed Gail Hodges as our new Executive Director](https://openid.net/2021/04/28/welcoming-gail-hodges-as-our-new-executive-director/).

* [BedRock Consortium has a home page](https://bedrockconsortium.org/)
  > The Bedrock Consortium is a Linux Foundation project that supports the operation of the Bedrock Business Utility, an independent self-governed and self-sustainable public identity utility.

* [Reflections in my rear view mirror](https://www.linkedin.com/pulse/reflections-my-rear-view-mirror-dan-gisolfi/?trackingId%3DEkY%252BnAILQayoP80%252BReHY3g%253D%253D) Dan Gisolfi
  > as the founder/convener of the [Bedrock Project](https://bedrockconsortium.org) I must now hand over the baton. Bedrock is positioned to be an important public identity utility for the maturation of a digital trust marketplace. I will always be here to help when/where I can. Hint: Maybe my new road ahead will help bring additional members to the table.

* [The Seven Step Process to Becoming a Validation Agent](https://www.gleif.org/en/newsroom/blog/the-seven-step-process-to-becoming-a-validation-agent): a closer look at the trial process with GLEIF’s latest eBook
  > By becoming Validation Agents financial institutions can also streamline, accelerate and diversify their use of the LEI, and ensure their autonomy as they look to digitize their business processes.

* [Q1 2021 in review](https://www.gleif.org/en/newsroom/blog/q1-2021-in-review-the-lei-in-numbers): The LEI in Numbers: Data from the latest Global LEI System Business Report reveals LEI adoption from January to March 2021.

* [IDunion Introduction and AMA (there will be another one tomorrow!)](https://iiw.idcommons.net/12D/_IDunion_Introduction_and_AMA_(there_will_be_another_one_tomorrow!)) by Andre Kudra + available IDunion crew!

* [IDunion](https://idunion.org/?lang%3Den) enables self-determined identities based on Self-Sovereign Identity (SSI) technologies Hyperledger Indy and Hyperledger Aries. The aim of the IDunion organisation is to create an open ecosystem for decentralised identity management, which can be used  worldwide and is based on European values and regulations. IDunion is also a [project](https://www.digitale-technologien.de/DT/Redaktion/DE/Standardartikel/SchaufensterSichereDigIdentProjekte/Schaufensterprojekte/sdi-projekt_idunion.html) co-funded by the [German Federal Ministry of Economic Affairs (BMWi)](https://www.bmwi.de/Navigation/EN/Home/home.html) as part of the [Showcases Secure Digital Identities program](https://www.digitale-technologien.de/DT/Navigation/DE/ProgrammeProjekte/AktuelleTechnologieprogramme/Sichere_Digitale_Identitaeten/sichere_digitale_ident.html). We gave an introduction covering

- The IDunion consortium consists of 37 partners - other major partners have already signaled interest in participating
- Our solution is enabled by the distributed ledger technology (DLT) and the concept of self-sovereign identities (SSI)
- Instead of a central authority, trust is organized via a DLT network, which works as a decentralized PKI system
- In recent months, in addition to intensive research, we have developed a DLT test network including governance structure, 35+ use cases and numerous software components for the allocation, verification and management of digital identity data developed
- In the future, the identity network will be managed by a European cooperative in which every institution in the EU can participate
- In total, we are working on 35 use cases in the areas of eGovernment, education, finance, industry/IOT, eCommerce/mobility, IAM, and eHealth

* [IDunion Introduction and AMA (same as on day 2!)](https://iiw.idcommons.net/24D/_IDunion_Introduction_and_AMA_(same_as_on_day_2!)) by Andre Kudra + available IDunion crew!

IDunion | SSI | Identity | Consortium | Cooperative | Germany | Europe | BWMi

Discussion notes, key understandings, outstanding questions, observations, and, if appropriate to this discussion: action items, next steps:

* [Directories in Distributed Identity](https://iiw.idcommons.net/10D/_Directories_in_Distributed_Identity) by Sam Curren, Ken Ebert, Suresh Batchu, Kiran Addepalli

ADIA site: [https://adiassociation.org](https://adiassociation.org)

* [Self-Sovereign Communities of Self-Sovereign Agents](https://iiw.idcommons.net/10H/_Self-Sovereign_Communities_of_Self-Sovereign_Agents) by Adrian Gropper

Minimal Demo: [https://adriang.xyz/](https://adriang.xyz/) Use Card Number 4242 4242 4242 4242  04/22 123 (don’t use a real email address because it will be stored in Stripe.)

* [Demo sequence diagram](https://github.com/HIEofOne/Trustee-Community/wiki)


* [Sovrin Update: Supporting Commercial Development of SSI](https://iiw.idcommons.net/index.php?title%3D12M/_Sovrin_Update:_Supporting_Commercial_Development_of_SSI%26action%3Dedit%26redlink%3D1) by Sumiran Garg, Chris Raczkowski

* [Global Survey Findings: Current state of SSI](https://iiw.idcommons.net/12O/_Global_Survey_Findings:_Current_state_of_SSI) by Gabriella Laatikainen, Ravikant Agrawal

* [https://www.youtube.com/watch?v=lYb9bUyIPEw](https://www.youtube.com/watch?v%3DlYb9bUyIPEw)

- Survey was a collaborative efforts by [University of Jyväskylä](http://jyu.fi), [Blockster.global](http://blockster.global) and [Trust over IP foundation](https://trustoverip.org/)
- More than 70 survey respondents
- SSI platform provider is ok but it should not be combined with network provider
- Risk: Slow technology adoption/ implementation / maturity
- Large VC issuance:
- Healthcare (COVID credentials)
- Revocation could be a challenge to be addressed
- Education sector
- Milestones to be achieved:
- Standardization
- Crypto payment
- Many solution would benefit from global payments but this will further add the challenge of large business adoption SSI + Crypto combination
- SDO:
- Not moving fast
- More academic and research in nature

* [John Jordan AMA - ToIP, BC Gov, Spinal Cord Injuries](https://iiw.idcommons.net/13C/_John_Jordan_AMA_-_ToIP,_BC_Gov,_Spinal_Cord_Injuries) by John Jordan

John shared about his journey and ongoing rehab,  and then moved on to what’s up with BCGov these days and looking ahead with the same.

* [https://github.com/bcgov/von](https://github.com/bcgov/von)

* [John Jordan (BC Gov) about VON, OrgBook BC and our vision](https://bc-von.s3.amazonaws.com/2018-06-VON-Webinar-for-Sovrin-Indy-Community.mp4)


* [NHS Staffpassport; Based on Evernym Verity built by Sitekit/Condatis; A 12 month experience](https://iiw.idcommons.net/22C/_NHS_Staffpassport;_Based_on_Evernym_Verity_built_by_Sitekit/Condatis;_A_12_month_experience) by Chris Eckl, Richard Astley

Staff passporting, Evernym Verity, Condatis Staff passport, Truu

The NHS Staff passport system was created to allow NHS employees to be redeployed between different organisations to meet urgent demand and remove the onboarding challenges when staff onboard with new organisations.

Collaboration between Sitekit/Condatis, Evernym, Truu and the NHS.

NHS Staff passport system is currently the largest production deployment of Self-Sovereign Identity with  81 different agents within a trusted ecosystem within the World.

* [Condatis IIW32 NHS Digital Staffpassport Learnings (slideshare.net)](https://www.slideshare.net/secret/JGSugec83U6ouP)

* [AMA: Sovrin + ToIP Core Purposes and Cooperation](https://iiw.idcommons.net/23M/_AMA:_Sovrin_%252B_ToIP_Core_Purposes_and_Cooperation) by John Jordan, Drummond Reed, Chris Raczkowski

* [Chris Raczkowski](mailto:chris@sovrin.org) introduced this topic with the aim of familiarizing participants with the Letter of Agreement signed between the Sovrin Foundation and the Trust over IP Foundation.

* [...]

The Letter of Agreement puts forward three main items:

1. Mutual recognition and support for the distinct, but interrelated, mandate of each organization.
2. Commitment to name a member from each organization as a liaison to act as a point of contact and maintain lines of open communication.
3. Proactively seek opportunities to collaborate in areas of shared interest, including communications products.

This Letter of Agreement has been approved and signed by Sovrin and Trust over IP.

It will be the basis for ongoing activity that aims to build on the strengths of both communities and advance their shared interest in the emergence of secure, privacy enhancing credential and identity ecosystems.

David Luchuk, Program Manager for Trust over IP, addressed the importance of ensuring that Sovrin and Trust over IP’s mutual support for one another is clearly presented to the market to the broader community represented here at IIW.

* [Chris Raczkowski](mailto:chris@sovrin.org)indicated that a joint announcement would be developed in the very near term.

* [BC Gov Collaboration on the Business Partner Agent, sharing our Roadmap (Create Creds, Issue them, Verify them, Hold them, publish them, ZKPs, Selective Disclosure)](https://iiw.idcommons.net/24A/_BC_Gov_Collaboration_on_the_Business_Partner_Agent,_sharing_our_Roadmap-Create_Creds,_Issue_them,_Verify_them,_Hold_them,_publish_them,_ZKPs,_Selective_Disclosure-) by Matthew Hall + Available Collaborators

Business partner agent, credential management, issuers, verifiers, holders, digital wallet

Practical session, what we are actually building today using the hyper ledger Aries tools

Some interesting points

- Viewing organizations as Issuers, Verifiers and Holders
- Talked about the complexity of defining a verifiable credential, I.e. what are you attesting to?
- Went over the need to make it easier for users to be able to create credential schemas and credential definitions without having to gain understanding about the tech.
- Question was asked about where do we start, do we have to bootstrap the first credential? And we went over being able to start with existing governance structures, and the trust that is already accepted there to issue the first credentials.
- I gave a demo of our prototype that shows three actors (Mine, Bank, Verifier) doing a credential exchange flow between them

Links:

DEMO:  [https://www.youtube.com/watch?v=09-LOHPTHWs](https://www.youtube.com/watch?v%3D09-LOHPTHWs)

Connect with Us: [https://chat.hyperledger.org/channel/business-partner-agent](https://chat.hyperledger.org/channel/business-partner-agent)

Repo: [https://github.com/hyperledger-labs/business-partner-agent/projects/1](https://github.com/hyperledger-labs/business-partner-agent/projects/1)

* [WHiSSPr Risk for People](https://iiw.idcommons.net/index.php?title%3D20E/_WHiSSPRr_Risk_for_People%26action%3Dedit%26redlink%3D1) by Sal D’Agostino

* [GS1 2021 VC/DID Prototype Review: The Hero’s Journey](https://iiw.idcommons.net/index.php?title%3D13H/_GS1_2021_VC/DID_Prototype_Review:_The_Hero%25E2%2580%2599s_Journey%26action%3Dedit%26redlink%3D1)
* [Sovrin and Trust over IP Signed Mutual Agreement to Strengthen Their SSI Collaboration](https://blog.sovrin.org/sovrin-and-trust-over-ip-signed-mutual-agreement-to-strengthen-their-ssi-collaboration-55d7775efdc2)

“By signing this Letter Agreement, Sovrin and ToIP are excited to take a step further to support the need and importance of our separate but interrelated mandates to benefit people and organizations across all social and economic sectors through secure digital identity ecosystems based on verifiable credentials and SSI,” said Chris Raczkowski, Chairman of Board of Trustees, Sovrin Foundation.
* [Trust Over IP 101 with John Jordan, André Kudra, Karl Kneis, Scott Perry & Paul Knowles](https://northernblock.io/toip-101/) Northern Block

As we’re looking to move from the current internet era towards this new era of digital trust, I think it would be helpful if you were able to give an overview of how we got here. Perhaps we can take a step back, before the internet era, and discuss the paper credential era — I think that sets a good framework for where we’re going with these new digital trust models.

* [Building an SSI Ecosystem: Digital Staff Passports at the NHS](https://www.windley.com/archives/2021/05/building_an_ssi_ecosystem_digital_staff_passports_at_the_nhs.shtml) Windley

How does a functioning credential ecosystem get started? This post goes deep on Manny Nijjar’s work to create a program for using digital staff passports in the sprawling UK NHS bureaucracy.
* [IdRamp Joins Linux Foundation Public Health Cardea Project Steering Committee](https://idramp.com/idramp-joins-linux-foundation-public-health-cardea-project-steering-committee/)

The Cardea and GCCN projects are both excellent examples of breakthrough innovations that can take shape when companies and projects come together to solve real-world problems, using open source tools available to everyone
* [Hedera Hashgraph Joins World Wide Web Consortium (W3C)](https://hedera.com/blog/hedera-hashgraph-joins-world-wide-web-consortium-w3c-new-did-method-published-by-w3c-credentials-community-group)

We welcome Hedera as a contributing member to the W3C DID Working Group and congratulate their team for reaching this milestone of a published implementation of the latest W3C DID Identifiers v1.0 draft,” said Ivan Herman
* [Hyperledger Forum Recap – Identity Proofing, and Passwordless User-friendly Digital Identity](https://idramp.com/hyperledger-forum-recap-identity-proofing-and-passwordless-user-friendly-digital-identity/)

IdRamp presented with Oracle at [Hyperledger Global Forum](https://events.linuxfoundation.org/hyperledger-global-forum/) June 2021. The event focused on enterprise use of blockchain technologies using the 15 projects that fall under the Hyperledger “greenhouse”. Keynotes and speakers shared their insights on the current state of enterprise blockchain adoption across several hot topics including central bank digital currencies (CBDCs), non fungible tokens (NFTs), and most importantly– identity.

* [AfroLeadership NGO to join the Board of aNewGovernance AISBL](https://www.anewgovernance.org/2021/07/02/2391/) NewGovernance

As the Data Strategy and the Data Spaces are being put in place in Europe, as the

new US Administration is questioning the operating practices of global platforms, it

is critical our approach over Personal Data Sharing is Global.

* OASIS has a [Foundation as a Service offering](https://www.oasis-open.org/foundation-as-a-service/)

Foundations receive the financial and legal services they need to operate successfully. We’ll set up your bank accounts, file your taxes, collect your dues and pay your bills.
* [Reimagining digital public infrastructure is no longer just a development agenda](https://medium.com/omidyar-network/reimagining-digital-public-infrastructure-is-no-longer-just-a-development-agenda-6c3915d20598) Omidyar Network

conversations about digital identity innovation were mostly treated as a developing country issue, with ardent advocates in the West unwilling to acknowledge that digital identity could add value to developed economies. Now, as the world [emerges from the pandemic](https://omidyar.com/a-decade-of-digital-public-goods-holding-up-the-digital-economy-preventing-monopolies-and-safeguarding-freedoms-for-all/), attitudes seem to have taken a 180-degree turn.
* [21 Industry leaders from five continents join Indicio Network consortium to drive global adoption of decentralized identity](https://indicio.tech/blog/21-industry-leaders-from-five-continents-join-indicio-network-consortium-to-drive-global-adoption-of-decentralized-identity/)

* [GlobaliD](https://global.id/), USA; [Uphold](https://uphold.com/), Portugal; [ID Ramp](https://idramp.com/), USA; [Cynjatech](https://www.cynja.com/), USA; [Finclusive](https://finclusive.com/), USA; [Xertify](https://xertify.co/), Colombia; [Snowbridge Inc.](https://www.snowbridge.se/), Taiwan; Entrustient, USA; [Bot Ventures, Inc](https://botventures.io/)., Canada; [BlockSpaces](https://blockspaces.io/), USA; [Blockster Labs](https://blockster.global/), [Anonyome Labs](https://anonyome.com/), Australia; [Selfd.id](https://selfd.id/), Romania; [Liquid Avatar Technologies](https://liquidavatar.com/), Canada; [Snapper Future Tech](https://snapperfuturetech.com/), India; [Lorica Identity](https://loricaidentity.com/), USA; [BizSecure](https://bizsecure.com/), USA; [Networks Synergy](https://www.synergy.kz/), Kazakhstan; Absolutely Zero Cyber, USA; [Cysecure](https://cysecure.us/), USA; [VERSES Labs](https://www.verses.io/), USA
* [DHS SVIP - Program Overview + AMA](https://iiw.idcommons.net/index.php?title%3D21O/_DHS_SVIP_-_Program_Overview_%252B_AMA%26action%3Dedit%26redlink%3D1) by Anil John

* [Request for Comment and IPR Review: PCTF Assurance Maturity Model Draft Recommendation V1.0](https://diacc.ca/2021/06/27/comment-ipr-review-assurance-maturity-model-draft-recommendation-v1-0/) DIACC

It is essential that Participants in a digital ecosystem have a way to evaluate the robustness and trustworthiness of transactions within that ecosystem. In order to do so, Participants must share a common vocabulary that describes the level of confidence they can associate with an Entity or transaction, as well as a common way in which to determine that level of confidence.

* [GlobaliD joins the Linux Foundation’s Cardea Project](https://medium.com/global-id/globalid-joins-the-linux-foundations-cardea-project-22f298032240)

* [Self-sovereign identity semantics: An economic extension to the Trust over IP stack](https://blog.verim.id/self-sovereign-identity-semantics-an-economic-extension-to-the-trust-over-ip-stack-4a4197d8f6d3)

Editorial: Kaliya thinks this is a terrible idea. It is based on the premise that identity providers (issuers of credentials) should get paid every time a person (the holder) presents the credential in their wallet, when shared with the relying party (verifier) I think this is toxic and we are just finally getting to aligned standards for the VC format and for exchange protocols - now some how we are going to rapidly add a payments layer?

NO this isn’t going to work it is going to create lockin to particular wallets for particular credentials. All because some bad entrepreneurs who are no longer leading their companies sold SAFTS to greedy investors. There is a mess under here that should be exposed further now that they are trying to push this model again. Lets just say I can’t wait for the investigative reporter to dig into the Sovrin meltdown from last year further to see what is really there. It could have all been left alone and I wouldn’t be talking about it - but they decided to push the model again.

* [Anonyome Labs Joins the Indicio MainNet](https://anonyome.com/2021/05/anonyome-labs-joins-the-indicio-mainnet/)

Here, we go through how we went about standing up our Indico node. In brief:

- The Indicio MainNet is an enterprise-grade ledger for use by decentralized identity applications.
- We brought up the node using AWS Elastic Cloud Computing (EC2) instances within a Virtual Private Cloud (VPC).
- We pulled the validator algorithms from the open-source project, [Hyperledger Indy](https://www.hyperledger.org/use/hyperledger-indy).
- A supporting machine operates the command line interface used to perform steward operations onthe ledger.
- We used security groups at the network interface level to create a firewall.
- We set up monitoring in AWS CloudWatch using a variety of bash scripting in conjunction with Ubuntu and AWS provided utilities.
- We created a regular maintenance schedule.

* [Me2BA Executive Director Lisa LeVasseur featured on Masters of Privacy podcast](https://me2ba.org/me2ba-executive-director-lisa-levasseur-featured-on-masters-of-privacy-podcast/) Me2b

describes Me2BA’s approach to respectful technology behavior and discusses the Alliance’s work in standards development and independent testing.  The conversation touches on the broader issues of our evolving and personal relationships with technology products and services, and the potential for respectful behavior to provide a deeper and better level of engagement, to the benefit of individuals and businesses alike.

* [Trust over IP and Sovrin sign agreement to strengthen collaboration](https://trustoverip.org/news/2021/05/10/trust-over-ip-and-sovrin-sign-agreement-to-strengthen-collaboration/)
  > The Sovrin Foundation (“Sovrin”) Board of Trustees and Trust over IP Foundation (“ToIP”) Steering Committee are pleased to announce that they have signed a Letter Agreement (dated March 18, 2021). This agreement signifies the commitment of both organizations to mutual cooperation and recognition for each other’s mandates. Sovrin and ToIP intend to work together toward advancing the infrastructure and governance required for digital trust and digital identity ecosystems.

* [Spherity partners IDunion Trusted Identity Ecosystem](https://medium.com/spherity/spherity-joins-idunion-trusted-identity-ecosystem-e89d093be35a)

Spherity announces that it has become a partner of the 
[IDunion](https://idunion.org/)
 project. The project is funded within the innovation framework “Showcase secure digital identities” of the German government (Federal Ministry for Economic Affairs and Energy). Spherity is entrusted on the application of cloud identity technology in the healthcare industry.
* [A YEAR IN REVIEW: NEW BEGINNINGS AND SUCCESSES](https://trustoverip.org/blog/2021/10/07/a-year-in-review-new-beginnings-and-successes/)

The TSWG provides guidance and specifications that support the ToIP 4-layer model from a technical standpoint.
* [Launching the Global Assured Identity Network (GAIN) with Elizabeth Garber](https://www.ubisecure.com/podcast/global-assured-identity-network-gain-elizabeth-garber/) UbiSecure

fills us in on what the GAIN project is, explaining how it’s different from other trust networks and why GAIN is good for financial institutions. She also discusses the role of the Global Legal Entity Identifier Foundation (GLEIF) in the project, and what’s next for GAIN.
* [#2 in the Financial Inclusion Interview Series – What bridging the $81bn trade finance gap could mean for Africa with Barry Cooper from Centre for Financial Regulation and Inclusion (Cenfri)](https://www.gleif.org/en/newsroom/blog/number-2-in-the-financial-inclusion-interview-series-what-bridging-the-81bn-trade-finance-gap-could-mean-for-africa-with-barry-cooper-from-centre-for-financial-regulation-and-inclusion-cenfri)

Following the launch of GLEIF’s digital business identity initiative designed to bridge the trade finance gap in Africa, we’re catching up with our key partners to hear their thoughts on how the project will bring about greater financial inclusion for SMEs on the continent and beyond.

* [MYDATA, MY CLIMATE, AND MY CARBON](https://mydata.org/2021/11/03/mydata-my-climate-and-my-carbon/)

With COP26 taking place this week, governments, companies, and individuals are discussing how we can all reduce our carbon emissions. The task is monumental, and technology has an important role to play – both in reducing its own carbon footprint and in helping the wider world track and reduce their emissions.

* [Non-binary Thinking will Accelerate Digital Sovereignty (with Rouven Heck)](https://northernblock.io/non-binary-thinking-will-accelerate-digital-sovereignty-with-rouven-heck/) NorthernBlock

Now, if we take two communities within the SSI space – the Decentralized Identity Foundation (DIF) and the Trust over IP Foundation (ToIP). I will sometimes hear people talking positively about one and negatively about the other. But why is this happening? Don’t we all have the same underlying values? Aren’t we all looking to better our lives through digital sovereignty?

I think the answer to this is clear and we need to get away from thinking in a binary manner about anything in our space. And if you really look at the overlap between both these communities: they are quite large.

* [Gratitude: Internet Society Foundation Grant Award](https://me2ba.org/gratitude-internet-society-foundation-grant-award/) ([Press Release](https://me2ba.org/me2b-alliance-awarded-100k-grant-for-us-pre-k-12-benchmark-to-research-school-utility-apps-data-sharing/) Me2Ba
* [ISSE 2021 - EEMA opening Plenary](https://vimeo.com/648039700) Is it all change for identity?
* [Communication Milestone Achievements!](https://blog.identity.foundation/milestones/) DIF

This week, we hit 5k followers on [Twitter](https://twitter.com/DecentralizedID), driven in no small part by attention garnered by our [ToIP & DIF Joint Statement of Support for the Decentralized Identifiers (DIDs) v1.0 specification becoming a W3C Standard](https://blog.identity.foundation/w3cdidspec/)

* [Good things happen slowly, bad things happen fast](https://blog.weareopen.coop/good-things-happen-slowly-bad-things-happen-fast-2fd894cbd4df) We Are Open Co-op

- Important Talk

Some organisations were experimenting with digital badges before 2011, but these were siloed and easy to right-click and copy. The ‘technology trigger’, the innovation with Open Badges, was to invent and make available an open metadata standard.

* [You can now make an online donation to the Me2B Alliance](https://me2ba.org/you-can-now-make-an-online-donation-to-the-me2b-alliance-we-appeciate-your-support-donate-here/)

* [We appeciate your support! Donate here >](https://me2ba.org/donate/)

* [Internet Identity Workshop #33](https://blog.identity.foundation/internet-identity-workshop-33/) DIF

Hundreds of attendees, including a number of DIF members, put together a huge programme of content for the 33rd IIW, covering topics ranging from the technical minutiae of IAM and SSI to big-picture discussions about ethics and strategy, and participated in over 110 virtual sessions across the three days.
* [Me2BA supports ending all surveillance advertising on children](https://me2ba.org/me2ba-supports-ending-all-surveillance-advertising-on-children/)

We think that focusing on Facebook’s surveillance advertising is a good step in the right direction. However, there are several other significant threats to kids out there. In particular, Google’s YouTube [is used by 69% of kids in the United States today, who reportedly spend approximately 1.5 hours a day on the app](https://techcrunch.com/2020/06/04/kids-now-spend-nearly-as-much-time-watching-tiktok-as-youtube-in-u-s-u-k-and-spain/)

* [New steward for #GoodID: Berkman Klein Center for Internet and Society at Harvard University](https://omidyarnetwork.medium.com/new-steward-for-goodid-berkman-klein-center-for-internet-and-society-at-harvard-university-a221cdb12949) Omidyar Network

The Center recently launched the [Institute for Rebooting Social Media](https://cyber.harvard.edu/programs/institute-rebooting-social-media) [...] In connection with this Institute and the [Berkman Klein Research Sprints](https://cyber.harvard.edu/story/2020-10/research-sprint-participants-explore-digital-transformation-time-crisis-focus), and through the Center’s ongoing work with the over 100 international [Network of Internet and Society Research Centers](http://networkofcenters.net/), the Center will support conversations about digital identity issues that will reach diverse and interdisciplinary communities of research and practice.
* [OpenID Presentations at December 2021 OpenID Virtual Workshop](https://self-issued.info/?p%3D2214)

- OpenID Connect Working Group [(PowerPoint)](http://self-issued.info/presentations/OpenID_Connect_Working_Group_9-Dec-21.pptx) [(PDF)](http://self-issued.info/presentations/OpenID_Connect_Working_Group_9-Dec-21.pdf)
- OpenID Enhanced Authentication Profile (EAP) Working Group [(PowerPoint)](http://self-issued.info/presentations/OpenID_EAP_Working_Group_9-Dec-21.pptx) [(PDF)](http://self-issued.info/presentations/OpenID_EAP_Working_Group_9-Dec-21.pdf)

use of IETF Token Binding specifications with OpenID Connect and integration with FIDO relying parties and/or other strong authentication technologies.”

* [TOIP HELPS SANTA WITH HIS TOUGHEST CHOICES](https://trustoverip.org/news/2021/12/15/toip-helps-santa-with-his-toughest-choices/) Trust over IP

MEGA also joined the Good Elf Pass Initiative whose “interoperability blueprint” supports its crucial role as issuers of these credentials. The ground-breaking “Hypersleigh” blockchain standard will also support rapid delivery and high security for all Meaningful Gifts. #hypersleigh

* [Hyperledger Mentorship Spotlight: Hyperledger Aries Integration to Support Fabric as Blockchain Ledger](https://www.hyperledger.org/blog/2021/12/06/hyperledger-mentorship-spotlight-hyperledger-aries-integration-to-support-fabric-as-blockchain-ledger)

The Hyperledger Mentorship Program is a structured hands-on learning opportunity for new developers who may otherwise lack the opportunity to gain exposure to Hyperledger open source development and entry to the technical community.

* [@IDWorkshop (IIW) tweeting from the Flickr Archives](https://twitter.com/idworkshop/status/1471905005556822017?s%3D20)

Check out these [photos from IIW 1 in 2005](https://www.flickr.com/photos/tags/iiw2005/page1/)

(

* [src](https://www.flickr.com/photos/chrisheuer/57584208/in/photolist-5YzQy-613Xi-5YztD-613UK-5YBEi-669qJ-6153X-63sGm-65uyW-63sKa-63sHi-63sJv-6682a-669uE-5YzVT-68VoW-6685y-668ju-68VjB-669om-65uHm-65UDr-668pr-6689z-68Vd9-65Urf-68V8M-6693d-68V51-668vo-68Vhj-6696s-669jG-669eG-668z5-65Uvh-668ZD-668K2-668Vm-668rU-669ah-668Mb-668QJ-65uDA-668FE-65uFG-65UGT-65Uza-65uC8-65uAq/)

* [The Trust Over IP Stack: Achieving Global Interoperability with SSI](https://techzone.scot/trust-over-ip-stack/) Digital Scotland

* [In this video](https://www.youtube.com/watch?v%3DYzKfb-udavY), Drummond Reed, Chief Trust Officer at Evernym Inc and co-author of the book ‘[Self-Sovereign Identity](https://www.evernym.com/ssi-book/)’ provides a deep discussion of SSI and the ‘The Trust over IP Stack’.
* [On Forests, Emergence, and Expansive Trust: Why Trust Over IP is even more profound than we thought](https://trustoverip.org/blog/2021/11/21/on-forests-emergence-and-expansive-trust/) Daniel Hardman

I have been lucky enough to witness many of its milestones — the finalization of the VC and DID specifications, the launch of Sovrin and Hyperledger Indy, the advent of production deployments and serious interoperability, the invention of peer DIDs and KERI and BBS+ credentials, the implementation of the exciting communication technology now known as DIDComm…

* [The Digital Identity Card](https://blog.ti8m.com/en/SSI.html) TI8M

Currently, over 40 applications have been implemented in the IDunion project. These are used in a wide variety of sectors, such as public administration, the financial sector, IoT and industry, the healthcare sector, mobility sector and e-commerce. The technology has now exited the research phase and will appear in the first productive applications in 2021.

* [These competitors joined forces to allow readers to use a single login across their news sites](https://www.niemanlab.org/2021/10/these-competitors-joined-forces-to-allow-readers-to-use-a-single-login-across-their-news-sites/) Nieman Lab

The founding media partners all agreed, however, that having more first-party data and increasing the share of registered visitors would allow them to build better relationships with readers and more relevant news products. Their collective first step has been OneLog, a single sign-on system being used across a variety of news sites owned by Swiss Digital Alliance members TX Group and Ringier.


* [Hyperledger KochiOrgBook Meetup](https://www.youtube.com/watch?v=HU0zXKiFYD0) (modeled after [VONx.io](https://vonx.io/)), in collaboration with Wipro, CUSAT, and KBA.
  > “KochiOrgBook is a Verifiable Organization Network for the city of Kochi [India]. It is a technology demonstrator to launch a DID based utility compliant with the ToIP standards to enable trusted digital verification for various associations within the city of Kochi.”
* [LEGO & Learning Economy: Gearing up with Super Skills](https://blog.identity.foundation/lego-super-skills/) ID Foundation

The Super Skills app combines a custodial wallet (Torus) and Ceramic VC/storage tooling to give children private, exportable, future-proof achievement records – a self-sovereign educational credentialing system in miniature.

* [Announcing the 2022 OpenID Foundation Individual Community Board Member Election](https://openid.net/2021/12/30/announcing-the-2022-openid-foundation-individual-community-board-member-election/)

Board participation requires a substantial investment of time and energy. It is a volunteer effort that should not be undertaken lightly. Should you be elected, expect to be called upon to serve both on the board and on its committees. You should have your employer’s agreement to attend two or more in-person board meetings a year, which are typically collocated with important identity conferences around the world.
* [WTF are ‘Stealth Badges’?: The case of the O.G. Badger](https://blog.weareopen.coop/wtf-are-stealth-badges-41130a75a1a9) We are Open Coop

This information means that this particular badge, which is manually issued, can be given out in fair and equitable ways. It also means that someone else who engaged with the Open Badges community before 2017 could lay claim to it.

Stealth badges at scale require an automated system that issues badges depending on particular criteria. This is why they are very common in games-based environments. For example, I unlock some most weeks playing new and existing games on my PlayStation and Google Stadia.

* [The Trust Over IP Foundation Publishes New Introduction and Design Principles.](https://trustoverip.org/blog/2022/01/24/the-trust-over-ip-foundation-publishes-new-introduction-and-design-principles/)

1. [Introduction to ToIP V2.0](https://trustoverip.org/permalink/Introduction-to-ToIP-V2.0-2021-11-17.pdf)
This is the second-generation version of our original introductory white paper that would go more deeply into the origin and purpose of the ToIP stack and how it addresses the key challenges of decentralized digital trust infrastructure.
2. [Design Principles for the ToIP Stack V1.0](https://trustoverip.org/permalink/Design-Principles-for-the-ToIP-Stack-V1.0-2022-11-17.pdf)
This is an articulation of the key [design principles](https://principles.design/) we must follow in the design and
3. development of all aspects of the ToIP stack.

* [VIIVI LÄHTEENOJA APPOINTED AS MYDATA GLOBAL CHAIR](https://mydata.org/2022/01/07/viivi-lahteenoja-appointed-as-mydata-global-chair/)

Previous Chair,  Antti “Jogi” Poikola commented: I am delighted to be succeeded by Viivi Lähteenoja as MyData Global’s Chair. […] Viivi’s experience both in and out of the MyData community make her excellently qualified to open up new dialogues on how personal data can empower people and communities.
* [The ToIP Foundation Releases its First Official Governance Specifications](https://trustoverip.org/news/2022/02/01/the-toip-foundation-releases-its-first-official-governance-specifications/) Trust Over IP
* [THE VERIFIABLE LEI: DELIVERING ON THE PROMISE OF THE TOIP STACK](https://trustoverip.org/blog/2022/02/07/the-verifiable-lei-delivering-on-the-promise-of-the-toip-stack/) TOIP

It will give government organizations, companies, and other legal entities worldwide the capacity to use non-repudiable identification data pertaining to their legal status, ownership structure and authorized representatives in a growing multitude of digital business activities

* [The Birth of the vLEI: A New Dawn in Digital ID for Legal Entities Everywhere](https://www.gleif.org/en/newsroom/blog/the-birth-of-the-vlei-a-new-dawn-in-digital-id-for-legal-entities-everywhere) GLIEF

Using KERI, vLEIs can be created and utilized independently of any specific organization, with the highest levels of security, privacy, and ease of use. KERI also enables GLEIF and the vLEI trust ecosystem to operate under GLEIF’s governance framework, unencumbered by the governance of external systems, including those of blockchains and distributed ledger consortia.
* [Emergent community building](https://blog.weareopen.coop/emergent-community-building-a35f9431d8a) WeAreOpenCoop

Last week, we ran the first Keep Badges Weird community call

* [​](http://validatedid.com/post-en/the-time-for-the-eidas-bridge)There’s an outstanding question, for us, around how this community explores and thinks about the theoretical underpinnings of a Community of Practice (CoP), but one thing is for sure, Keep Badges Weird is a CoP.
* [Introducing the Global Assured Identity Network (GAIN) Proof of Concept Community Group](https://openid.net/2022/03/02/introducing-the-global-assured-identity-network-gain-proof-of-concept-community-group/)

The OpenID Foundation is pleased to announce the launch of the Global Assured Identity Network (GAIN) Proof of Concept Community Group, which aims to test the technical hypotheses underlying the [“GAIN Digital Trust”](https://gainforum.org/GAINWhitePaper.pdf) white paper.


* [LAYER 1 UTILITIES: AN UNDERGROUND NETWORK CONNECTING ALL SSI ECOSYSTEMS](https://trustoverip.org/blog/2022/03/04/layer-1-utilities-an-underground-network-connecting-all-ssi-ecosystems/) Trust over IP

Please mind the gap between the DID and the DID Document! Just like the London Underground, Layer 1 Utilities are a collection of connected rails and overlapping networks, on top of which SSI ecosystems are developed. The ToIP Utility Foundry Working Group (UFWG) are mapping out how they overlap, intersect and differentiate from each other.

* [MYDATA GLOBAL IN MOTION – KEY DEVELOPMENTS IN 2022](https://mydata.org/2022/03/09/mydata-developments-in-2022/)

Collective sensemaking and channels for impact, Strengthening the MyData brand, Renovating the infrastructure of MyData Global, and Changes in the staff and leadership team.

* [Audience Ikigai](https://blog.weareopen.coop/audience-ikigai-be0cebe4cea) [reason for being] We are Open CoOp

could be useful for thinking about credential adoption profiles

The complexity surrounding any global audience can’t be understated, really. I mean, we’re talking about millions of people. GPI communications have to take into account that many are coming to Greenpeace for the first time, while others know the organization well. The audience is diverse. From young to old, every color and creed, a massive spectrum of people who are interested in the mission to “ensure the ability of the earth to nurture life in all its diversity.”

Yet more Identity Associations: [Accountable Digital Identity](https://adiassociation.org/)

Informed by standards bodies including [the FIDO Alliance](https://findbiometrics.com/year-review-fido-alliance-gains-more-ground-2021-122205/), the World Wide Web Consortium, and the Decentralized Identity Foundation, the ADI Specification was designed to help companies detect fraud using verified identity solutions while ensuring that informed consent is collected and user privacy is protected. - [quote from this article](https://findbiometrics.com/idemia-joins-accountable-digital-identity-association-board-503101/)


* [Machine Readable Governance is the Key to Scaling Decentralized Trust](https://indicio.tech/where-do-you-put-a-trust-registry-in-a-decentralized-digital-ecosystem-not-where-it-turns-into-a-wrench/) Indicio

We’re not convinced that “constraint” is the right theoretical approach for an emerging technology, especially one that is being deployed in different sectors for different use cases. To underscore this, we want to address a particular constraint implied by ToIP’s design concepts that is likely to be fatal to any deployment.

* [Getting Internet Identity Right 30 Years On](https://podcasts.google.com/feed/aHR0cHM6Ly9yc3MuYXJ0MTkuY29tL2NvaW5kZXNrLXJlcG9ydHM/episode/Z2lkOi8vYXJ0MTktZXBpc29kZS1sb2NhdG9yL1YwL1B2ZTZ1WThCazZjM24zckdUVVdaQ2YyWGJwQnNuWTBra3N0WWlFOFhBNUk?ep=14) Money ReImagined with Brian Behlendorf.
  > Michael Casey and Sheila Warren talk to Hyperledger Executive Director Brian Behlendorf about self-sovereign identity, the topic of this week's column. A developer whose three-decade career has seen him deeply involved in efforts to foster a more open internet, Brian grasps, like few others, the nuances of how human beings should live within a rapidly changing digital economy.
- [DIFS updated code of conduct](https://medium.com/decentralized-identity/difs-updated-code-of-conduct-a0c2d9dce1ad) - Setting a tone for inclusive collaboration.

* [DIF and OIDF cooperation](https://medium.com/decentralized-identity/dif-oidf-9753b9bd0093) 
  > to work together on areas of mutual interest, allowing working groups to align and coordinate through dual-members. The first major collaboration, which has already been underway for weeks, is a process for revising the Self-Issued OpenID Connect (SIOP) chapter of the OpenID Connect (OIDC) specification.
* [Why we support EFF](https://www.evernym.com/blog/why-we-support-the-electronic-frontier-foundation/) Evernym
  > Privacy gets too little emphasis from some participants in the decentralized identity movement. They claim to value confidential interactions, yet advocate that individuals create public decentralized identifiers (DIDs) on the blockchain (ignoring legal warnings about DIDs being PII). They are okay with “phone home” verifications of credentials and revocation and capabilities.
* [7 Essential building blocks of decentralized digital ecosystems](https://medium.com/nevermined-io/what-decentralized-building-blocks-exist-to-build-your-digital-ecosystem-a2173550cc57) Nevermined
  > The original goal of Nevermined was to allow data sharing and privacy-preserving computation. During the development journey, the above building blocks emerged as design principles, but after speaking with various organizations, we realized these components are actually the foundations that allow us to solve more complex problems, not only based on classical data center problems.

* [Indicio Tech: Why we converted to a public benefit corporation](https://indicio.tech/blog/because-decentralized-identity-can-make-life-better-why-we-converted-to-a-public-benefit-corporation/)
  > The idea of a benefit corporation begins with long-simmering dissatisfaction in the argument that the only responsibility or duty a company had was to increase its profits, a claim that had been forcefully made by University of Chicago economist Milton Friedman in the New York Times magazine in 1970.
* [Jolocom’s latest contributions to DIF](https://jolocom.io/blog/jolocoms-contributions-to-dif/)

- Jolocom added support for an [off-chain element based on KERI](https://github.com/decentralized-identity/keri/blob/master/kids/KERI_WP.pdf). This is in addition to the Jolocom DID method (did:jolo and did:keri), which supports the Jolocom-Lib, our own SDK and the Jolocom SmartWallet.
- [Jolocom focused on the Rust KERI implementation](https://github.com/decentralized-identity/keriox/), which we donated to DIF last fall

> An example of the KERI DID registrar/resolver integrated in our library can be found here. This is also included in the Jolocom SmartWallet via the SDK integration. (KERI is currently being worked on in the Decentralized Identity Foundation’s Identifiers and Discovery Working Group,)
- We at Jolocom strongly believe that DIDComm is a crucial infrastructure element for the broader and future-proof SSI stack, and [current work on DIDComm v2 includes Jolocom’s implementation of the specification](http://github.com/jolocom/didcomm-rs) with authcrypt (authenticated encrypted) and most of the low level of the protocol.

* [DIF F2FJan21 - DIDComm Demo Session with Ivan Temchenko, Tobias Looker, and Oliver Terbu](https://www.youtube.com/watch?v=SaNvIorKQ9I&feature=youtu.be)

During the live demo he showed the message lifecycle in various setups using the new, [open source didcomm-rs library](http://github.com/jolocom/didcomm-rs) on GitHub

* [2021 OpenID Foundation Board Update](https://openid.net/2021/02/09/2021-openid-foundation-board-update/)
  > Nat Sakimura and John Bradley were re-elected to new two-year terms as community member representatives. Nat and John’s well-known technical expertise and global thought leadership ensures continuity across working groups and as the Foundation transitions to new leadership in 2021.
* [Compliance & Inclusive Finance Working Group (CIFWG)](https://medium.com/@sovrinid/promoting-banking-for-all-announcing-the-compliance-inclusive-finance-working-group-cifwg-340633ef3e6c) Sovrin
  > Since 2019, Sovrin has hosted the Compliance and Payments Task Force (CPTF), an open group of traditional bank and non-bank financial institutions, regulators, policymakers, technologists, ethicists, and legal experts. The CPTF has developed and promoted the Rulebook, an innovative best practices framework that extends traditional banking compliance and payments guidance to emerging fintech and VASP processes.

* [Lisa LeVasseur on the ethical behaviour of technology and the Me2B Alliance LTADI](https://www.ubisecure.com/podcast/lisa-levasseur-me2b-alliance/)
  > the Me2B Alliance and how it aims to make technology better for humans, plus the businesses (B-s) which are shining a light on privacy issues and giving the Me-s more control.
  > 
  > “We used to call ourselves something like the ‘organic food label’. But that’s actually not right. We’re more like independent automobile crash testing.”

* [ID2020 Welcomes BLOK Solutions to the Alliance](https://medium.com/id2020/id2020-welcomes-blok-solutions-to-the-alliance-1c53e952930c)
  > Their most recent solution, BLOK Pass, offers individuals a self-sovereign record of their COVID-19 test results and other risk factors. The technology was developed under the company’s biotech arm, BLOK BioScience.
* [KABN Network Joins the Trust Over IP Foundation](https://www.accesswire.com/616265/KABN-Network-Joins-the-Trust-Over-IP-Foundation)
  > KABN aims to use proven bank-grade identity verification processes to allow Holders (who use a credential), Verifiers (who confirm the validity of a credential) and Issuers (who produce the credential) to complete transactions of many kinds including financial services, eCommerce transactions, organization, building and visitor access badges among others.
* [Member interview with Jacoba Sieders](https://womeninidentity.org/2020/10/20/www-womeninidentity-org-interview-jacoba-sieders/) Women in Identity
  > Jacoba Sieders is an independent, digital identity expert [and advisory board member of the EU ESSIF Lab]. She has held executive positions leading IAM and KYC functions for more than 20 years at major banks in the Netherlands and then in Luxembourg at the European Investment Bank. She also lived and worked in New Delhi, India for ING Group.

## GlEIF
* [InfoCert adheres to the GLEIF International Foundation's program for promoting vLEI](https://translate.google.com/translate?sl=auto&tl=en&u=https://www.datamanager.it/2020/12/infocert-aderisce-al-programma-della-fondazione-internazionale-gleif-per-la-promozione-del-vlei/)
  > The vLEI is a cryptographically verifiable credential according to W3C standards and containing the LEI ( Legal Entity Identifiers ), the identification code of legal entities made mandatory by Mifid II in order to operate on the financial markets: InfoCert, formerly LOU ( Local Operating Unit ) authorized by GLEIF will adopt vLEI as an identification standard within its DIZME ecosystem , the blockchain-based decentralized digital identity platform.
* [PSA Today: Kaliya & Seth talk LEIs](https://anchor.fm/psatoday/episodes/PSA-Today-34-Kaliya--Seth-talk-LEIs-Legal-Entity-Identifiers-with-Simon-Wood--CEO-of-Ubisecure-eqia74)
with Simon Wood, CEO of Ubisecure (#1 issuer of Legal Entity Identifiers)
  > the evolution of LEIs since the financial crisis of 2008, the difference between high assurance and low assurance, and the relationship between rights and ownership as it relates to identity management of entities.
* [Decentralized Identity and DIACC PCTF Authentication](https://diacc.ca/wp-content/uploads/2021/02/Decentralized-Identity-and-DIACC-PCTF-Authentication.pdf)

The [Authentication](https://diacc.ca/wp-content/uploads/2020/09/PCTF-Authentication-Component-Overview-Final-Recommendation_V1.0.pdf) component of the [DIACC Pan-Canadian Trust Framework](https://diacc.ca/trust-framework/)™ specifies processes and conformance criteria for service providers. Authentication and credential management services may be assessed against these criteria.

* [Self-sovereign digital identity, vLEI as identification standard for InfoCert DIZME network](https://www.digitalfuturemagazine.com/2021/01/27/self-sovereign-digital-identity-vlei-as-identification-standard-for-infocert-dizme-network/)

VLEIs are cryptographically verifiable credentials compliant with W3C standards, containing LEIs. The program launched by GLEIF to promote vLEIs aims to create an ecosystem, a credential governance framework, and a technical support infrastructure.

Through vLEIs, companies, government organizations, and other legal entities around the world will have the ability to identify themselves unambiguously, even outside of the financial markets, to conduct a growing number of activities digitally, such as:

- the approval of transactions and contracts,
- the acquisition of new customers,
- transactions within logistics chain and import/export networks,
- the submission of reports and prospectuses to regulatory bodies.

Also, vLEIs will allow for the extension of identity verification of legal entities to include individuals who fill roles of interest within those entities.
### Turing Institute Report on Trustworthy Digital Identity

* [Turing harnesses global expertise with International Advisory Board for Trustworthy Digital Identity](https://www.turing.ac.uk/news/turing-harnesses-global-expertise-international-advisory-board-trustworthy-digital-identity)
  > The ambition is to produce a definitive set of tested and accessible tools, best practice guidance, and design references based on six key criteria for assessing the impact on trust in national identity programmes:  security, privacy, ethics, resilience, robustness, and reliability.
- [Alan Turing Institute: Trustworthy Digital Infrastructure for Identity Systems](https://www.turing.ac.uk/sites/default/files/2020-12/alan_turing_digital_identities_2020.pdf) (Report)
- [Digital Identity: Ensuring that systems are trustworthy](https://www.turing.ac.uk/blog/digital-identity-ensuring-systems-are-trustworthy)
- [Trustworthy digital identity](https://www.turing.ac.uk/research/interest-groups/trustworthy-digital-identity)
* [OpenID Foundation is Hiring a new Executive Director](https://openid.net/2020/11/17/openid-foundation-executive-director-job-description/)
  > The OpenID Foundation is seeking an Executive Director with the experience, skills, strategic vision, and commitment to advancing the Foundation’s open standards initiatives. This is a unique opportunity to lead a well-respected, member-driven, vendor-neutral, international standardization organization.
- [Finding the Bell Curve of Meaning](https://medium.com/decentralized-identity/finding-the-bell-curve-of-meaning-61a1d22b7bdd) - A process for supporting the emergence of shared language in broad collaborative communities
* [Linux Foundation Announces DizmeID Foundation to Develop and Enable a Self-Sovereign Identity Credential Network](https://linuxfoundation.org/en/press-release/linux-foundation-announces-dizmeid-foundation-to-develop-and-enable-a-self-sovereign-identity-credential-network/)

Blindsided by this news!!

The [DizmeID Foundation](https://www.dizme.io/) and technical project will define and allow for implementation of Dizme features on top of Sovrin public identity utility. The Dizme ecosystem is expected to include various [technological components leveraging Hyperledger stack](https://www.dizme.io/developers) and adding a monetization layer based on [Algorand blockchain protocol](https://www.algorand.com/resources/news/linux-foundation-announces-dizmeid-foundation-to-enable-self-soverieign-identity-network), which will enable the exchange of verifiable credentials and the development of new vertical applications.

* [Identity, Unlocked... Explained: Season 2, Ep. 2](https://auth0.com/blog/identity-unlocked-explained-season-2-ep-2/) Vittorio Bertocci with Filip Skokan
  > a conversation about a few three-letter extensions to OAuth (which, incidentally, would also fit well in a pirate incantation!): PAR, RAR, and JAR. Filip is a Senior Engineer II at Auth0, the author of a popular book on open source identification, and a contributor to both the 
[IETF](https://www.ietf.org/) and the 

[OpenID Foundation](https://openid.net/foundation/).

Witness orgs sit in layer 3 of the [Trust Over IP stack](https://github.com/hyperledger/aries-rfcs/blob/master/concepts/0289-toip-stack/README.md) as authoritative issuers. Witness orgs are to VCs like Dunn and Bradstreet (D&B) is to the finance world: they issue claims as a recognized authority.

* [2022 Pre-Budget Submission](https://diacc.ca/2021/08/03/2022-pre-budget-submission/) DIACC

1. That the government secure adoption of the [Pan-Canadian Trust Framework](https://diacc.ca/wp-content/uploads/2016/08/PCTF-Overview-FINAL.pdf) by businesses and governments.
2. That the government act on the [Finance Committee’s 2021 Pre-Budget Consultation](https://www.ourcommons.ca/Committees/en/FINA/StudyActivity?studyActivityId%3D11021772) Recommendations 128, Implement a digital identity system that empowers Canadians to control their data that is held by the federal government, and 129, Create a national data strategy.
3. That the government work with provincial and territorial partners and Immigration, Refugees and Citizenship Canada to ensure that all Canadians have access to an ISO-compliant government-issued digital ID credential with economy-wide utility by December 2022.
4. That the government make digital identity-enabled services available to all Canadians by December 2022.
5. That the government prioritizes funding and integration of digital ID as part of the [Digital Technology Supercluster](https://www.digitalsupercluster.ca/) Initiative.

* [Panel | Bringing the Global Assured Identity Network (GAIN) to Reality](https://www.kuppingercole.com/watch/eic2021-panel-gain-to-reality)

These may seem off-topic but Bill Wendell has been engaged with the VRM and IIW community for well over a decade - He has some great ideas on how to reform/transform the real-estate industry with ideas/models our community has been discussing. If you are looking for an opportunity to collaborate and build something transformative I would reach out to him.

* [GAIN – Global Assured Identity Network](https://translate.google.com/translate?hl%3D%26sl%3Dauto%26tl%3Den%26u%3Dhttps%253A%252F%252Fwww.sakimura.org%252F2021%252F09%252F4853%252F)

Individuals can access with the peace of mind that all relying parties within the ecosystem are present and accountable. Sure, there will still be malicious vendors, but the scope will be more limited. The ecosystem will be much more secure than the current Internet. It will be enough for the participants to take action. Trust is reestablished.

* [Testing the fitness of your organisation's preparedness for data](https://www.mydigitalfootprint.com/2021/08/testing-fitness-of-your-organisations.html) MyDigitalFootprint

How do you determine if your new company is addressing the underlying issues that hold back data from being what they imagine it can be?

## IIW

* [IIW32 - A wave of DIF donations and debuts](https://blog.identity.foundation/dif-monthly-18-may-2021/%23iiw32a-wave-of-dif-donations-and-debuts) DIF Newsletter
* [EXEMPLARY PERSONAL DATA BUSINESSES: 33 ORGANISATIONS RECEIVE THE MYDATA OPERATOR 2022 AWARD](https://mydata.org/2022/03/16/mydata-operator-2022-awards/)

personal data companies that have shown leadership by empowering individuals to control their personal data. As promoted by the European Commission, [putting people in the centre of digital transformations is needed for a safe and sustainable digital future](https://ec.europa.eu/commission/presscorner/detail/en/ip_21_6428). Further, [boosting data sharing and ensuring its trustworthiness](https://ec.europa.eu/commission/presscorner/detail/en/ip_21_6428) is critical to reaping the benefits of our digitised lives.

* [MyData Operator Status awarded to Mydex](https://medium.com/mydex/mydata-operator-status-awarded-to-mydex-2916d1c48c3d)

As promoted by the European Commission, [putting people in the centre of digital transformations is needed for a safe and sustainable digital future](https://ec.europa.eu/commission/presscorner/detail/en/ip_21_6428). Further, [boosting data sharing and ensuring its trustworthiness](https://ec.europa.eu/commission/presscorner/detail/en/ip_21_6428) is critical to reaping the benefits of our digitised lives. Organisations awarded with the MyData Operator Award are vital enablers for such a vision, providing value for companies and individuals alike.

Centre Consortium presents Verite with Kim Hamilton

* [Verite: A Technical Deep Dive with Kim Hamilton, Director of Identity & Standards](https://www.centre.io/blog/verite-a-technical-deep-dive-with-kim-hamilton-director-of-identity-standards) Centre

Verite is a decentralized identity framework demonstrating end-to-end, ecosystem-scale crypto and DeFi prototypes. With Verite, our focus is iteratively building open protocols rather than a product or a platform.

Verite is based on open-source building blocks that are developed collaboratively at international standards organizations:
* [Welcome to Centre, Linda Jeng and Danielle Harold](https://www.centre.io/blog/welcome-to-centre-linda-jeng-and-danielle-harold)

“I am thrilled to welcome executives of this caliber to our team,” said David Puth, CEO of Centre. “Both Linda and Danielle bring an abundance of experience that will guide our organization as we create standards for the burgeoning blockchain space.”

Standards Development

* [DIF has a Discord](https://twitter.com/DecentralizedID/status/1517083722729738241)

Join here [https://discord.com/invite/F4Qw7h6Sr9](https://discord.com/invite/F4Qw7h6Sr9)

* [Centre Consortium](https://www.centre.io/)

Founded by Coinbase and Circle in 2018, the mission is to provide the governance and standards for the future digital financial ecosystem.

We began by launching US Dollar Coin (USDC), a fiat-backed stablecoin and now the second largest stablecoin on the market. The standards we laid out for USDC provide a layer of trust and transparency so that users can operate with security and confidence as we enter a new world of digital payments.

* [2022 OpenID Foundation Kim Cameron Award Recipients Announced](https://openid.net/2022/04/29/2022-openid-foundation-kim-cameron-award-recipients-announced/)

This was the first IIW without Kim Cameron. This was a very fitting announcement.

The OpenID Foundation is pleased to announce the first cohort of awardees for inaugural launch of the Kim Cameron Award Program. We first must thank the many well-qualified applicants who presented compelling interest in user-centric identity.

* [Digital Technologies Forum now includes the Lissi demo](https://lissi-id.medium.com/lissi-demonstration-im-forum-digitale-technologien-82d5f0c07a5d) <- in german

Digital Technologies Forum is a networking platform and exhibition space for selected research projects and innovations in the field of digital technologies from Germany. The forum offers outstanding research projects a platform for more visibility and promotes exchange and knowledge transfer at national and international level.

* [OpSci Identity Registry](https://verse.opsci.io/) Open Science DAO

Link your web accounts, verify your academic credentials and interact with DeSci dApps using the Holonym Protocol

* [Women in Identity](https://www.kuppingercole.com/blog//women-in-identity) Dr. Angelika Steinacker

Silvia is a WID member since 2018 and started her career as an Identity engineer. Her topic will be the misbehavior of your digital twin and what you can do if your digital twin misbehaves.

Originating from a virtual model reflecting a physical object, the term “digital twin” also has its application in the cyber security industry. Social media giants and the advertisement industry have a huge interest in modeling your behavior, feelings, and thoughts to tailor advertising to you.
* [Me2B Safe Specification v1.0](https://me2ba.org/safetechspec/) Me2B

The current version focuses on mobile apps and websites and encompasses only a portion of the harms outlined in the complete [Me2B Digital Harms Dictionary](https://ooqc943yvdw4abzes1q1ezta-wpengine.netdna-ssl.com/wp-content/uploads/2021/10/me2ba-digital-harms-dictionary-v2.0-iii.pdf). As the safe specification evolves subsequent versions will grow to include more of the harms identified in the Me2B Digital Harms Dictionary.

* [Building a Safety Spec for the Digital World](https://me2ba.org/three-turns-of-the-wheel-building-a-safety-spec-for-the-digital-world-2/) Me2ba

It was three years in the making, and this is how we got here.

* [A WebAuthn Apache module?](https://hanszandbelt.wordpress.com/2022/05/05/a-webauthn-apache-module/) Hans Zandbelt

any sensible WebAuthn/FIDO2 Apache module would rely on an externally running “Provider” software component to offload the heavy-lifting of onboarding and managing users and credentials.

* [ONT ID Upgrade: Verifiable Credentials SDKs Now Open Source](https://medium.com/ontologynetwork/ont-id-framework-upgraded-ontologys-verifiable-credentials-sdks-now-open-source-for-all-go-and-7f89f7585528) Ontology

In making the code widely accessible, Ontology is accelerating the adoption of decentralized identity (DID) in the blockchain sphere As the project that has focused on the Decentralized Identity (DID) field for over 4 years…

* [Agri-Food Product Identity Verification & Governance](https://diacc.ca/2022/04/26/agri-food-product-identity-verification-governance-diacc-special-interest-group-insights/) DIACC Special Interest Group Insights

This report discusses what the identity verification related requirements for the creation and management of agri-food products (or items) unique identifiers to enable provenance tracking, ensure traceability, facilitate agri-food data integration, enhance governance, protect privacy and confidentiality, inform policies, and improve communications.


* [ISO/IEC 18013-5 vs Self-Sovereign Identity: A proposal for an mDL Verifiable Credential](https://www.procivis.ch/post/iso-iec-18013-5-vs-self-sovereign-identity-a-proposal-for-an-mdl-verifiable-credential) Procivis

in the context of government identity programs we see it as useful to compare them on the following parameters – background, credential data model & trust anchor and transmission protocols.

* [Hyperledger completes development of DID:Indy Method and advances toward a network of networks](https://www.hyperledger.org/blog/2022/05/02/hyperledger-identity-community-completes-development-of-didindy-method-and-advances-toward-a-network-of-networks) Howland & Bluhm - Linux Foundation

With the groundwork complete, networks and agent frameworks now need to incorporate the Indy:DID Method. This community adoption will increase the viability of the Indy and Aries project stack and position it to be the globally dominant way to issue and share verifiable credentials in a multi-ledger world.

* [MyData Global adopts an updated logo and visual identity](https://www.mydata.org/2022/05/17/new-logo/)

* [Aotearoa’s digital identity journey that leaves no-one behind](https://digitalidentity.nz/2022/05/18/aotearoas-digital-identity-journey-that-leaves-no-one-behind/) DigitalID NZ

IEUDI, together with DINZ’s Te Kāhui Te Tiriti O DINZ and Digital Identity Services Trust Framework (DISTF) [work groups](https://digitalidentity.nz/working-groups/), detail the scope of DINZ’s mahi this year and into 2023 in pursuit of its mission – to create a digital identity ecosystem that enhances privacy, trust and improves access for all people in New Zealand. [...]

The DISTF WG met last week also, to discuss the [Select Committee’s report](https://www.legislation.govt.nz/bill/government/2021/0078/latest/whole.html) following the [submissions](https://www.parliament.nz/en/pb/bills-and-laws/bills-proposed-laws/document/BILL_116015/tab/submissionsandadvice), containing its recommended changes to [the Bill](https://www.legislation.govt.nz/bill/government/2021/0078/latest/whole.html) prior to its Second Reading.

* [Block Joins W3C](https://twitter.com/brockm/status/1526723285102120960) [@brockm](https://twitter.com/brockm)

Today, we became a member of the [@W3C](https://twitter.com/w3c), as part of our commitment to building open standards for an open web. We are committed to advancing and adopting decentralized and privacy-preserving standards for self-sovereign digital identity that benefits all. Not centralized platforms.


* [Ledger Joins Project Verite: a Decentralized Identity Coalition for Crypto Finance](https://www.ledger.com/ledger-joins-project-verite-a-decentralized-identity-coalition-for-crypto-finance) Ledger 2/22

We strongly believe that open standards are a key enabler for the development and scaling of new digital identity services around the globe. In this context, we are glad to be part of the Verite Distributed ID standards.” – Mung Ki Woo, VP Trust Services, Ledger

* [centrehq/verite](https://github.com/centrehq/verite)

* [Introducing Verite](https://verite.id/blog/introducing-verite) Justin Hunter of Pinata

Currently available in TypeScript and [published through NPM](https://www.npmjs.com/package/verite), the Verite library seeks to make it easier to implement VCs in a variety of forms. The library is early and an additional goal of the library is to collect community feedback.

* [The Me2B Alliance is now Internet Safety Labs](https://me2ba.org/introducing-internet-safety-labs/) Internet Safety Labs

We are excited to announce the Me2B Alliance is now Internet Safety Labs. We’ve changed our name but not our core mission.
* [How GAIN Happens, Slowly Then All at Once](https://openid.net/2022/06/03/how-gain-happens-slowly-then-all-at-once/) OpenID

GAIN is marked by a cross sector, crowd sourced, open, global due diligence. GAIN’s self organized participants are actively seeking evidence that disconfirms the GAIN hypothesis.

* [Key ToIP Take Aways from EIC](https://trustoverip.org/blog/2022/06/03/key-toip-takeaways-from-the-european-identity-conference/) TOIP

* [OpenID for Verifiable Credentials](http://openid.net/wordpress-content/uploads/2022/05/OIDF-Whitepaper_OpenID-for-Verifiable-Credentials_FINAL_2022-05-12.pdf) [...]

The goal of this whitepaper is to inform and educate the readers about the work on the OpenID for Verifiable Credentials (OpenID4VC) specifications family. It addresses use-cases referred to as Self-Sovereign Identity, Decentralized Identity, or User-Centric Identity.

* [DIACC 2022 Industry Survey Report](https://diacc.ca/2022/06/02/diacc-2022-industry-survey-report/) DIACC

The intent of the [DIACC Industry Survey](https://diacc.ca/wp-content/uploads/2022/05/DIACC-Industry-Survey_Final.pdf) was to identify any pain points Canadian industries have that prevent the use of trusted Digital Identity.


* [Achieving Trusted Digital Transactions Across the Globe: OIX and ToIP Align to make it Happen](https://trustoverip.org/news/2022/06/15/achieving-trusted-digital-transactions-across-the-globe-oix-and-toip-align-to-make-it-happen/) Trust over IP

With a combined worldwide membership of over 400 organisations and individuals, including some of the world’s largest stakeholders in a digital ID future, this is a crucial development in the journey towards full digital ID adoption and a digital future that will work for everyone involved.

* [Digital Scotland: Blueprint for a 21st Century Scottish Digital Nation](https://digitalscot.net/library/digital-nation/)

From the Blockchain through AI and the ‘Metaverse’, Scotland is presented with a wide spectrum of technology innovations to harness. And from Education through Economy, there is an equally wide spectrum of opportunity areas where it can be applied, for great national benefit.

* [The Digital Health Credential System Implementation Guide](https://cci-2020.medium.com/the-implementation-guide-v1-is-out-f958e1fd69b0) Covid Credentials Initiative ([PDF](https://drive.google.com/file/d/1eSrFxFldD6TBkfmOFTXBkBu2TYf3qFv2/view)

The Implementation Guide V1 provides a set of baseline recommendations to the CCI community of application and services developers, implementers with which to evaluate product designs. The requirements mentioned in this guide should be read along side (and not as a substitute to) the regulations applicable to the jurisdiction in which the applications and services will be made available


* [Getting Identity Right. At Last.](https://medium.com/mydex/getting-identity-right-at-last-8512abadcfbc) MyDex

By recognising the pivotal importance of verified attributes and the potential role of personal data stores in enabling the sharing of these attributes, it is opening the door to actually solving the problem of identity. At last.

* [W3C to become a public-interest non-profit organization](https://www.w3.org/2022/06/pressrelease-w3c-le.html.en) W3.org

As W3C was created to address the needs of the early web, our evolution to a public-interest non-profit is not just to continue our community effort, but to mature and grow to meet the needs of the web of the future.

Thanks for your Votes!

Kaliya was elected to the [DIF steering committee](https://blog.identity.foundation/sc-election-2022-results/) Decentralized Identity Foundation

The six elected candidates are Sam Curren (Indicio Tech), Daniel Buchner (Block), Karyl Fowler (Transmute), Rouven Heck (Consensys Mesh, Executive Director at DIF), Markus Sabadello (DanubeTech) & Kaliya Young (Identity Woman). Sam, Karyl, Markus and Rouven have been re-elected for another two year term as SC members. You can read more about the SC candidates' background and vision for DIF here.
- [Avast demonstrates commitment to digital freedom with MyData membership](https://press.avast.com/avast-demonstrates-commitment-to-digital-freedom-with-mydata-membership)

* [RootsID SSI Report - E1](https://www.youtube.com/watch?v%3DspbZp8X1eH0)

covers our work with DIF, Trust over IP, and attending Consensus 2022.

* [Kim Cameron Award Winner Reflects on EIC](https://openid.net/2022/07/05/rachelle-sellung-2022-kim-cameron-award/) Rachelle Sellung

In a matter of a few days, I heard many inspiring presentations, had many interesting conversations, and met many wonderful people in this field at the Conference. It has already led to multiple conversations of working together regarding future stakeholder research that will hopefully be useful and support the identity community.

* [Quick wins to improve your Open Source community’s Architecture of Participation](https://blog.weareopen.coop/quick-wins-to-improve-your-open-source-communitys-architecture-of-participation-9d0e6c8d60fe) WeAreOpenCoop

Sociocracy is a system of governance that seeks to create psychologically safe environments and productive organizations. It draws on the use of consent, rather than majority voting, in discussion and decision-making by people who have a shared goal or work process.

* [Trinsic Basics: What Is a Trust Registry?](https://trinsic.id/trinsic-basics-what-is-a-trust-registry/) Trinsic

Trust registries also need to be interoperable. The [Trust Over IP Foundation](https://www.trustoverip.org/) has a [specification](https://github.com/trustoverip/tswg-trust-registry-tf) for an interoperable trust registry, and ours is the first implementation of this spec. Because of this, Trinsic’s Trust Registry Service is architected so that one ecosystem could reference or incorporate a trust registry from a separate ecosystem if needed.

* [Harrison new Co-Chair of the CCG and CEO of Spokeo explaining SSI](https://twitter.com/TheCEODad/status/1545907309435428864) Harrison Tang @TheCEODad

Self-sovereign identity, or SSI, is basically an identity owned by you - the user. In self-sovereign identity, you control and manage the access to your information

* [Public-private partnerships in health: The journey ahead for open source](https://www.lfph.io/2022/07/29/public-private-partnerships-in-health-the-journey-ahead-for-open-source/) Linux Foundation Public Health

* [Celebrating two years of experimentation](https://humancolossus.foundation/blog/eu-project-completed) Human Colossus Foundation

we are bringing our contribution toward more robust cybersecurity and seamless interoperability through our Dynamic Data Economy vision.

* [HCF announces Dynamic Data Economy v1.0](https://humancolossus.foundation/blog/dde-launch) Human Colossus Foundation

a trust infrastructure that preserves the structural, definitional, and contextual integrity (DDE Principle 1) of any object and their relationships in the Semantic domain, the factual authenticity (DDE Principle 2) of any recorded event in the Inputs domain, and the consensual veracity (DDE Principle 3) of any purpose-driven policy or notice in the Governance domain.

* [Credivera Joins Microsoft Partner Network as Verifiable Credentials Provider](https://www.newswire.ca/news-releases/credivera-joins-microsoft-partner-network-as-verifiable-credentials-provider-857742185.html)

* [Keep Badges Weird: helping people understand the badges landscape](https://blog.weareopen.coop/keep-badges-weird-helping-people-understand-the-badges-landscape-79cc8cf7281) Doug Belshaw, We Are Open Co-op

Open Recognition is the awareness and appreciation of talents, skills and aspirations in ways that go beyond credentialing. This includes recognising the rights of individuals, communities, and territories to apply their own labels and definitions. Their frameworks may be emergent and/or implicit.” ([What is Open Recognition, anyway?](https://blog.weareopen.coop/what-is-open-recognition-anyway-9f38ec1f8629)

* [OpenID Foundation Publishes “Open Banking and Open Data: Ready to Cross Borders?”](https://openid.net/2022/07/29/whitepaper-open-banking-and-open-data/) OpenID

* [OpenID Foundation Publishes “The Global Open Health Movement: Empowering People and Saving Lives by Unlocking Data” Whitepaper](https://openid.net/2022/07/22/the-global-open-health-movement-empowering-people-and-saving-lives-by-unlocking-data-whitepaper/) OpenID
* [Ceramic Launches Community Forum](https://blog.ceramic.network/ceramic-launches-community-forum/)

We’re excited to share that we launched the [Ceramic Community Forum](https://forum.ceramic.network/)! The forum is the place to ask technical questions and receive support from your fellow community members and Ceramic’s core team

* [Dock Joins the Decentralized Identity Foundation](https://blog.dock.io/decentralized-identity-foundation/) Dock

As a decentralized identity management platform that complies with internationally-recognized technology standards, we are continuously keeping up to date with key discussions and updates in the industry which is why we joined the Decentralized Identity Foundation

* [Finnish tech co-op receives government grant to develop a self-sovereign identity network](https://www.thenews.coop/164789/topic/technology/finnish-tech-co-op-receives-government-grant-to-develop-a-self-sovereign-identity-network/) TheNews

The Finnish Government has awarded a €3m (£2.6m) grant to [Findynet Cooperative](https://findy.fi/en/) for a pilot project aiming to build a self-sovereign identity network.

* [The Findynet Cooperative receives a government grant to develop a trusted way to share information in electronic interactions](https://findy.fi/en/findy-a-visionary-initiative-by-the-public-and-private-sectors-is-developing-a-new-type-of-verifiable-data-network-that-strengthens-finlands-position-as-a-driving-force-in-building-digital/) Findy.fi

The aim of this public-private cooperation is to strengthen Finland’s leading position in digitalization and support the emergence of investments in new digital services.

* [Avast Joins Trust over IP as a Steering Member](https://trustoverip.org/news/2022/08/30/avast-joins-the-toip-foundation-as-a-steering-member/) TOIP

“It is finally time we had digital wallets with digital credentials that work exactly the same way our real-world wallets do,” said Mr. Reed. “We can take and use them anywhere to privately prove just what another party needs to know in the context of a particular transaction. We don’t have to go through any third-party gatekeeper to do this. That’s the way it should work in the digital world too.”

* [Towards a Better Digital Identity Trust Framework in Aotearoa](https://digitalidentity.nz/2022/09/21/towards-a-better-digital-identity-trust-framework-in-aotearoa/) Digital Identity NZ

It’s a great pleasure to share with you DINZ Reflections Report, a seminal piece of work that DINZ’s Digital Identity Trust Framework working group has developed over several months.

* [The Birth of the vLEI: A New Dawn in Digital ID for Legal Entities Everywhere](https://www.gleif.org/en/newsroom/blog/the-birth-of-the-vlei-a-new-dawn-in-digital-id-for-legal-entities-everywhere) GLEIF

For businesses the world over, confidence in digital authenticity is in short supply. Can you be sure that your bank’s website is not an elaborate phishing recreation? Did that e-invoice really come from your business partner? How can you tell? [...]

* [eBook: ‘The vLEI: Introducing Digital I.D. for Legal Entities Everywhere](https://www.gleif.org/en/lei-solutions/gleifs-digital-strategy-for-the-lei/introducing-the-verifiable-lei-vlei/gleif-ebook-the-vlei-introducing-digital-i-d-for-legal-entities-everywhere)

* [RFC and IPR Review: PCTF Infrastructure (Technology & Operations) Final Recommendation V1.1](https://diacc.ca/2022/09/26/request-for-comment-and-ipr-review-pctf-infrastructure-technology-operations-final-recommendation-v1-1/) DIACC (RFC Closes 10/27)

The intent of the Infrastructure (Technology & Operations) component is to identify the operational policies, plans, technology and technology operations requirements to support implementation of the principles of the PCTF Profiles in the context of a Digital Identity Ecosystem.

* [BC Digital Trust](https://digital.gov.bc.ca/digital-trust/) BCGov

Nice resources page from BCGov

- [OrgBook BC](https://digital.gov.bc.ca/digital-trust/projects-and-initiatives/orgbook-bc/) A live service providing organization-related Verifiable Credentials in BC, Canada
- [BC Wallet - Technology Overview](https://digital.gov.bc.ca/digital-trust/projects-and-initiatives/bc-wallet-technology-overview/)
- [Verifiable Credentials for People](https://digital.gov.bc.ca/digital-trust/projects-and-initiatives/credentials-for-people/) Tools and services for issuing and verifying Verifiable Credentials
- [Safe Entry BC Demo](https://digital.gov.bc.ca/digital-trust/projects-and-initiatives/safe-entry-bc-demo/) A prototype of a contactless way to manage access to a facility, using Verifiable Credentials
- [Conference Book Demo](https://digital.gov.bc.ca/digital-trust/projects-and-initiatives/conference-book-demo/) A demo showing the use of Verifiable Credentials for attending a conference
- [Chat Server Demo](https://digital.gov.bc.ca/digital-trust/projects-and-initiatives/chat-server-demo/) A demo giving access to a chat service using Verifiable Credentials
* [How to Unf*ck Your Organisation: Organisational strategy and architecture for n00bs](https://blog.weareopen.coop/how-to-unf-ck-your-organisation-b73851dbeba5) WeAreOpenCoop

We’ve put together an [email-based course](https://learnwith.weareopen.coop/courses/org-strategy/) to help forward-thinking people in senior roles who might need a bit of help and orientation. We’ve broken things down into actionable steps based on the resources found at our Learn with WAO site, giving you enough direction and inspiration to get started transforming your organisation for the better!

* [Steps to Success when building a Community of Practice: Convening systems for maturity and development](https://blog.weareopen.coop/steps-to-success-when-building-a-community-of-practice-15bd7ed9ac5c) Doug Belshaw, WeAreOpenCoop

This post outlines different types of work that needs to take place when planning, sustaining, and developing a Community of Practice. It is informed by work that [WAO](https://weareopen.coop/) have carried out with [Participate](https://participate.com/) around the [Keep Badges Weird](https://badges.community/) community over the last 10 months.

* [2022 Executive Council nominations now open](https://digitalidentity.nz/2022/10/06/executive-council-nominations-now-open/) Digital Identity NZ

In December 2019, members elected the first Digital Identity NZ Executive Council. The Council is the governing group for the association; providing guidance and direction as we navigate the developing world of digital identity in Aotearoa. Each Council member is elected for a two-year term, with elections held annually and results notified at the Annual Meeting in December. So, as we approach the end of the year it is time for us to call for nominations for the Council seats coming up for re-election.

* [How to get a vLEI Credential](https://www.ubisecure.com/legal-entity-identifier-lei/how-to-get-a-vlei-credential/) Simon Wood, UbiSecure

The first step in issuance is for a representative to enter a contractual agreement with a QVI to provide the issuance service. The individual from the legal entity that undertakes this contractual signup is known as the Designated Authorised Representative (DAR) [...]

As per the LE-vLEI description the above is simplified. The full OOR-vLEIs issuance process is detailed in the [Ecosystem Governance Framework vLEI Credential Governance Framework Legal Entity Official Organizational Role](https://www.gleif.org/vlei/introducing-the-vlei-ecosystem-governance-framework/2022-02-07_legal-entity-vlei-credential-gf-draft-publication_v0.9-draft.pdf)
