---
published: false
---

# Canadian Identity

* [Pan-Canadian Trust Framework (PCTF) – Overview](https://northernblock.io/pan-canadian-trust-framework/)

Right now, we are alpha testing the framework with different kinds of actors, both public and private, and with assessors. Through this process, we’re going to learn what may need to change, and what may not need to change. We’re going to get real knowledge there. I will say that what we’re seeing already, is that DIACC and our priorities are really driven by members.

* [Canadian Government: User-Centric Verifiable Digital Credentials Challenge](https://github.com/canada-ca/ucvdcc)
  > This challenge is seeking a portable secure digital credentials (self-sovereign identity) solution held by individuals that can be independently, cryptographically and rapidly verified using emerging distributed ledger standards and an approach that may give rise to a global digital verification platform.

- [Recorded Video of Public Demo Day April 21, 2020](https://youtu.be/644kUC9Uw-g)
- [Final Presentations Folder](https://github.com/canada-ca/ucvdcc/blob/master/final)

* [DIACC welcomes Budget 2021 investments for digital transformation and innovation](https://diacc.ca/2021/04/19/diacc-welcomes-budget-2021-investments-for-digital-transformation-and-innovation/)
  > The DIACC, Canada’s digital ID leader, is pleased to see the federal government’s recognition that our economic future depends on digital investments. Initiatives like the investment in the Known Traveller Digital Identity pilot project and the Canada Digital Adoption Program will help Canadians, businesses and governments on this path.

* [The Public Sector Profile of the Pan-Canadian Trust Framework Working Group Close-Out Report](https://trbouma.medium.com/public-sector-profile-of-the-pan-canadian-trust-framework-version-1-2-and-next-steps-86ae7a96d6c7) Tim Bouma
  > the PSP PCTF WG was an important vehicle for ensuring public sector communication and discussion across Canada
* [DIACC marks year end with a slideshow detailing their accomplishments](https://diacc.ca/2020/12/09/diacc-year-end-achievements-and-milestones-2020/)

A few highlights from the report:

- [Digital Identity Laboratory](https://digidlab.ca/) - first lab of its kind for digital ID testing and certification
- launched the COVID-19 Actions Directory highlighting member initiatives.
- DIACC has joined the collaborative led by Standards Council of Canada

* [DIACC also invites input on the future of Levels of Assurance](https://diacc.ca/2020/12/09/help-define-and-design-the-future-of-canadas-levels-of-assurance-with-diacc/).
  > Making sure we have a common way to evaluate and measure the integrity of that data is central to a 

To realize a world-class Digital Government Canada has [set itself an ambition](https://digital.canada.ca/roadmap-2025/) of:

“Digitize all public-facing government services so they are accessible by web and mobile phone and available behind a unified login system by 2025.”
* [Ontario’s Digital ID: Technology and standards](https://www.ontario.ca/page/ontarios-digital-id-technology-and-standards)

Ontario’s Digital ID will use self-sovereign identity because it gives the holder control over the credentials in their wallet. In addition, we are layering on these extra privacy-preserving features:

- Consent – The verifier must ask you to approve their request to confirm your credentials.
- Data minimization – The verifier can only access what they need to confirm you are eligible for their service. For example, if you need to prove that you are old enough to buy a lottery ticket, the store clerk would only know that you are 18 or older – not your actual age, birth date or anything else about you.
- Anonymity – Your credentials are not tracked or traced.

* [Ontario will launch digital ID program later this year and here's how it works](https://www.cp24.com/ontario-will-launch-digital-id-program-later-this-year-and-here-s-how-it-works-1.5578066)

* [British Columbia OrgBook – ‘Tell Us Once’ via Blockchain and Self-Sovereign Identity](https://digitalcanada.io/bc-orgbook-tell-us-once/)

Canada is beginning to develop their own version of a “[Tell Us Once](https://digitalcanada.io/tell-us-once-legislation/)” Digital Identity policy, an approach pioneered in Europe by the likes of Estonia.

This is a policy where having provided your data to one government agency, you’ll never be asked for it again from another, defined explicitly through legislation.
* [DIACC Industry Survey](https://diacc.ca/2021/10/25/diacc-industry-survey/)

The intent of this DIACC Industry Survey is to identify any pain points Canadian industries have that prevent the use of trusted Digital Identity frameworks. This survey will be open indefinitely with responses monitored regularly.

Access the survey [here](https://www.surveymonkey.com/r/QLRV885).
* [Canada’s Community of Digital Identity Leaders Grows to Over 100 Members](https://diacc.ca/2021/05/31/canadas-community-of-digital-identity-leaders-grows-to-over-100-members/)

Today, more than ever before, our communities, our businesses, and our citizens are looking to the leaders within the DIACC to help deliver a robust, secure, trusted digital ID ecosystem that works for all Canadians. Our economy depends on it,” stated David Nikolejsin, Chair of the DIACC Board.
* [BC Government’s Verifiable Credential Issuer Kit Proof of Concept Report](https://diacc.ca/2021/10/20/bc-governments-verifiable-credential-issuer-kit-proof-of-concept-report/) DIACC

* [bcgov/issuer-kit](https://github.com/bcgov/issuer-kit)

Recommendations:

- Open Collaboration
- Interoperability
- Responsive to Market Dynamics
- Responsive to Industry Needs
- Regulatory Compliance
- Invovlement with Governance of Networks and Registries
* [Be a Digital ID Champion](https://diacc.ca/champion/)

- Promote digital ID to accelerate economic recovery and secure equitable social inclusion.
- Work with DIACC and others to establish privacy-protecting digital ID that empowers individuals, businesses, the public sector and civil society.
* [Digital Identity Challenge Canada - Video + Post](https://digitalcanada.io/canada-ssi-for-digital-government/) User-Centric Verifiable Digital Credentials Challenge
Canada boasts world-leading exemplar case studies for the role of Self Sovereign Identity for Digital Government scenarios, including the [ACE](https://digitalcanada.io/ace-ssi/) and [BC Orgbook](https://digitalcanada.io/bc-orgbook-tell-us-once/) projects.
  * [User-Centric Verifiable Digital Credentials](https://www.ic.gc.ca/eic/site/101.nsf/eng/00068.html)
    > “The Treasury Board Secretariat of Canada (TBS) and Shared Services Canada (SSC) are seeking a standardized method to issue and rapidly verify portable digital credentials across many different contexts, thereby reducing human judgement error, increasing efficiency and ensuring digital credential veracity using cryptography.”
    * [/canada-ca/ucvdcc/](https://github.com/canada-ca/ucvdcc/) 
    * [Google Doc](https://docs.google.com/presentation/d/1rC4Lhh0ixaig4OP3cbv2q7SkL_rFrLe489PUEUIDjDQ/edit#slide=id.p).
* [DIACC White Paper: Consumer Digital Identity Leveraging Blockchain](https://diacc.ca/2021/03/18/diacc-white-paper-consumer-digital-identity-leveraging-blockchain/)
  > SecureKey Technologies entered into a multiphase program with DIACC and the U.S. Department of Homeland Security (DHS) Science and Technology Directorate (S&T) to evaluate, develop, and deliver a solution for enabling distributed privacy enhanced identity ecosystems. [This paper summarizes the work done as part of Phase 3](https://diacc.ca/wp-content/uploads/2020/03/DIACC-White-Paper_Consumer-Digital-Identity-Leveraging-Blockchain_Final.pdf) of the program, concentrating on the “Commercialization of the Verified.Me project”

Phase 1 White Paper: [Architectural and Privacy Principles](https://diacc.ca/wp-content/uploads/2017/02/Consumer-Digital-Identity-Companion-Paper.pdf)

Phase 2 White Paper: [The Implementation](https://diacc.ca/wp-content/uploads/2019/03/DIACC_SecureKey_Phase2_White-Paper.pdf)
